/// <!-- tlm adding padding -->
/// <!-- <assign value='..ICNPadding(source.{PID:3(k1).1)' property='target.{PID:3(k1).1}' action='set' /> -->
/// <!--   -->
Class HC2HSRM.HCRefRri2HSRM Extends Ens.DataTransformDTL [ DependsOn = EnsLib.HL7.Message ]
{

Parameter IGNOREMISSINGSOURCE = 1;

Parameter REPORTERRORS = 1;

Parameter TREATEMPTYREPEATINGFIELDASNULL = 0;

XData DTL [ XMLNamespace = "http://www.intersystems.com/dtl" ]
{
<transform sourceClass='EnsLib.HL7.Message' targetClass='EnsLib.HL7.Message' sourceDocType='FromVistaRefRri:REF_I12' targetDocType='FromVistaRefRri:REF_I12' create='copy' language='objectscript' >
<if condition='..In(source.{RF1:1.1},"NW,IP")'>
<true>
<assign value='"S"' property='target.{RF1:1.1}' action='set' />
</true>
</if>
<if condition='source.{RF1:2.1}="STAT"' >
<true>
<assign value='"STAT (Urgent)"' property='target.{RF1:2.1}' action='set' />
</true>
</if>
<assign value='..Lookup("UCID",source.{MSH:4.1})' property='siteId' action='set' />
<if condition='..DoesNotStartWith(source.{RF1:6.1},siteId)' >
<true>

<assign value='siteId_"_"_source.{RF1:6.1}' property='target.{RF1:6.1}' action='set' />



</true>
</if>
<assign value='source.{OBR:6.1}' property='target.{RF1:9.1}' action='set' />
<assign value='source.{PRD:2.9}' property='target.{PRD:7}' action='set' />
<assign value='' property='target.{PRD:2.9}' action='remove' />
<foreach property='source.{PID:3()}' key='k1' >
<if condition='source.{PID:3(k1).5}="NI"' >
<true>
<assign value='"DVA"' property='target.{PID:3(k1).5}' action='set' />
</true>
</if>
<if condition='source.{PID:3(k1).5}="PI"' >
<true>
<assign value='"GOV"' property='target.{PID:3(k1).5}' action='set' />
</true>
</if>
</foreach>
<foreach property='source.{NTE()}' key='k2' >
<if condition='..Contains(..ToUpper(source.{NTE(k2):3()}),"HSR-")' >
<true>
<assign value='"AP"' property='target.{RF1:1.1}' action='set' />
<assign value='"APPROVED"' property='target.{RF1:1.2}' action='set' />
</true>
</if>
<assign value='..ReplaceStr(..ToUpper(source.{NTE(k2):3()}),"HSR-","Approved ")' property='target.{NTE(k2):3()}' action='set' />
<if condition='..Contains(..ToUpper(source.{NTE(k2):3()}),"SEOC ID:")' >
<true>
<assign value='..Strip(..Piece(source.{NTE(k2):3()},":",2),"*W")' property='target.{RF1:3}' action='set' />
</true>
</if>
</foreach>
</transform>
}

}
