/// <!-- tlm adding padding -->
/// <!-- <assign value='..ICNPadding(source.{PID:3(k1).1)' property='target.{PID:3(k1).1}' action='set' /> -->
/// <!--   -->
Class HC2HSRM.HCRefRri2HSRM Extends Ens.DataTransformDTL [ DependsOn = EnsLib.HL7.Message ]
{

Parameter IGNOREMISSINGSOURCE = 1;

Parameter REPORTERRORS = 1;

Parameter TREATEMPTYREPEATINGFIELDASNULL = 0;

XData DTL [ XMLNamespace = "http://www.intersystems.com/dtl" ]
{
<transform sourceClass='EnsLib.HL7.Message' targetClass='EnsLib.HL7.Message' sourceDocType='FromVistaRefRri:REF_I12' targetDocType='FromVistaRefRri:REF_I12' create='copy' language='objectscript' >
<if condition='source.{PV1:3.4.2}&apos;=""' >
<true>
<assign value='source.{PV1:3.4.2}' property='target.{MSH:4}' action='set' />
</true>
</if>
<if condition='..In(source.{RF1:1.1},"NW,SC,IP")' >
<true>
<assign value='"S"' property='target.{RF1:1.1}' action='set' />
</true>
</if>
<if condition='source.{RF1:1.1}="CM"' >
<true>
<assign value='"D"' property='target.{RF1:1.1}' action='set' />
</true>
</if>
<if condition='source.{RF1:2.1}="STAT"' >
<true>
<assign value='"STAT (Urgent)"' property='target.{RF1:2.1}' action='set' />
</true>
</if>
<assign value='' property='target.{RF1:3}' action='remove' />
<assign value='source.{RF1:3.2}' property='target.{RF1:3}' action='set' />
<assign value='source.{OBR:6.1}' property='target.{RF1:9.1}' action='set' />
<foreach property='source.{PRD()}' key='k1' >
<assign value='source.{MSH:4}_"_"_source.{PRD(k1):2.9}' property='target.{PRD(k1):7}' action='set' />
<assign value='' property='target.{PRD(k1):2.9}' action='remove' />
</foreach>
<assign value='""' property='x' action='set' />
<assign value='""' property='i' action='set' />
<foreach property='source.{PID:3()}' key='k1' >
<if condition='source.{PID:3(k1).5}="NI"' >
<true>
<assign value='"DVA"' property='target.{PID:3(k1).5}' action='set' />
<if condition='x=""' >
<true>
<assign value='source.{PID:3(k1).1}' property='x' action='set' />
<assign value='k1' property='i' action='set' />
</true>
<false>
<if condition='..StartsWith(x,"1")' >
<true>
<assign value='' property='target.{PID:3(k1)}' action='remove' />
</true>
<false>
<assign value='' property='target.{PID:3(i)}' action='remove' />
</false>
</if>
</false>
</if>
</true>
</if>
<if condition='source.{PID:3(k1).5}="PI"' >
<true>
<assign value='"GOV"' property='target.{PID:3(k1).5}' action='set' />
</true>
</if>
</foreach>
<foreach property='source.{PID:5()}' key='k1' >
<assign value='source.{PID:5(k1).1}_" "_source.{PID:5(k1).4}' property='target.{PID:5(k1).1}' action='set' />
<assign value='' property='target.{PID:5(k1).4}' action='remove' />
</foreach>
<foreach property='source.{IN1grp()}' key='k1' >
<assign value='source.{IN1grp(k1).IN1:4}' property='target.{IN1grp(k1).IN1:3}' action='set' />
<if condition='source.{IN1grp(k1).IN1:12}=""""""' >
<true>
<assign value='' property='target.{IN1grp(k1).IN1:12}' action='remove' />
</true>
</if>
<if condition='source.{IN1grp(k1).IN1:13}=""""""' >
<true>
<assign value='' property='target.{IN1grp(k1).IN1:13}' action='remove' />
</true>
</if>
<assign value='"Private"' property='target.{IN1grp(k1).IN1:15}' action='set' />
<assign value='..Lookup("Reimbursable",..ToUpper(source.{IN1grp(k1).IN1:32}))' property='target.{IN1grp(k1).IN1:32}' action='set' />
</foreach>
<assign value='..Strip(source.{DG1:3.1},"*P")' property='target.{DG1:3.1}' action='set' />
<assign value='' property='target.{DG1:3.2}' action='remove' />
<foreach property='source.{NTE()}' key='k2' >
<if condition='..Contains(..ToUpper(source.{NTE(k2):3()}),"ICR-")' >
<true>
<assign value='"AP"' property='target.{RF1:1.1}' action='set' />
<assign value='"APPROVED"' property='target.{RF1:1.2}' action='set' />
</true>
</if>
<assign value='..ReplaceStr(..ToUpper(source.{NTE(k2):3()}),"ICR-","Approved ")' property='target.{NTE(k2):3()}' action='set' />
<if condition='..Contains(..ToUpper(source.{NTE(k2):3()}),"SEOC ID:")' >
<true>
<assign value='..Strip(..Piece(source.{NTE(k2):3()},":",2),"*W")' property='target.{RF1:3}' action='set' />
</true>
</if>
</foreach>
</transform>
}

}
