Class HC2HSRM.REFHSRM Extends Ens.DataTransformDTL [ DependsOn = EnsLib.HL7.Message ]
{

Parameter IGNOREMISSINGSOURCE = 1;

Parameter REPORTERRORS = 1;

Parameter TREATEMPTYREPEATINGFIELDASNULL = 0;

XData DTL [ XMLNamespace = "http://www.intersystems.com/dtl" ]
{
<transform sourceClass='EnsLib.HL7.Message' targetClass='EnsLib.HL7.Message' sourceDocType='HSRM_SIU_REF:REF_I12' targetDocType='HSRM_SIU_REF:REF_I12' create='new' language='objectscript' >
<assign value='source.{MSH:1}' property='target.{MSH:1}' action='set' />
<assign value='source.{MSH:2}' property='target.{MSH:2}' action='set' />
<assign value='"GMRC HSRM-CCRA SEND"' property='target.{MSH:3}' action='set' />
<assign value='"ccra.DOMAIN.EX"' property='target.{MSH:4}' action='set' />
<assign value='"GMRC HSRM-CCRA RECEIVE"' property='target.{MSH:5}' action='set' />
<assign value='..Lookup("VistADNS",source.{PV1:3.4},"10.247.79.42.DOMAIN.EX",1)' property='target.{MSH:6}' action='set' />
<assign value='source.{MSH:7}' property='target.{MSH:7}' action='set' />
<assign value='source.{MSH:8}' property='target.{MSH:8}' action='set' />
<assign value='source.{MSH:9}' property='target.{MSH:9}' action='set' />
<assign value='source.{MSH:10}' property='target.{MSH:10}' action='set' />
<assign value='"T"' property='target.{MSH:11}' action='set' />
<assign value='source.{MSH:12}' property='target.{MSH:12}' action='set' />
<assign value='source.{MSH:13}' property='target.{MSH:13}' action='set' />
<assign value='source.{MSH:14}' property='target.{MSH:14}' action='set' />
<assign value='source.{MSH:15}' property='target.{MSH:15}' action='set' />
<assign value='source.{MSH:16}' property='target.{MSH:16}' action='set' />
<assign value='source.{RF1:1}' property='target.{RF1:1}' action='set' />
<assign value='source.{RF1:2}' property='target.{RF1:2}' action='set' />
<assign value='source.{RF1:3}' property='target.{RF1:3}' action='set' />
<assign value='source.{RF1:4}' property='target.{RF1:4}' action='set' />
<assign value='source.{RF1:5}' property='target.{RF1:5}' action='set' />
<assign value='..Piece(..SubString(source.{PV1:19.1}),"_",2,3)' property='target.{RF1:6}' action='set' />
<assign value='source.{RF1:7}' property='target.{RF1:7}' action='set' />
<assign value='source.{RF1:8}' property='target.{RF1:8}' action='set' />
<assign value='source.{RF1:9}' property='target.{RF1:9}' action='set' />
<assign value='source.{RF1:10}' property='target.{RF1:10}' action='set' />
<assign value='source.{RF1:11}' property='target.{RF1:11}' action='set' />
<foreach property='source.{PRD()}' key='k1' >
<assign value='source.{PRD(k1):1}' property='target.{PRD(k1):1}' action='set' />
<assign value='source.{PRD(k1):2}' property='target.{PRD(k1):2}' action='set' />
<assign value='source.{PRD(k1):3}' property='target.{PRD(k1):3}' action='set' />
<assign value='source.{PRD(k1):4}' property='target.{PRD(k1):4}' action='set' />
<assign value='source.{PRD(k1):5}' property='target.{PRD(k1):5}' action='set' />
<assign value='source.{PRD(k1):6}' property='target.{PRD(k1):6}' action='set' />
<assign value='source.{PRD(k1):7}' property='target.{PRD(k1):7}' action='set' />
<assign value='source.{PRD(k1):8}' property='target.{PRD(k1):8}' action='set' />
<assign value='source.{PRD(k1):9}' property='target.{PRD(k1):9}' action='set' />
</foreach>
<assign value='source.{PID:1}' property='target.{PID:1}' action='set' />
<assign value='source.{PID:3}' property='target.{PID:3}' action='set' />
<foreach property='source.{PID:3()}' key='k1' >
<if condition='source.{PID:3(k1).5}="MR"' >
<true>
<assign value='"USVHA"' property='target.{PID:3(k1).4.1}' action='set' />
<assign value='"NI"' property='target.{PID:3(k1).5}' action='set' />
</true>
</if>
</foreach>
<assign value='source.{PID:5}' property='target.{PID:5}' action='set' />
<assign value='source.{PID:7}' property='target.{PID:7}' action='set' />
<assign value='source.{PID:8}' property='target.{PID:8}' action='set' />
<assign value='source.{PID:9}' property='target.{PID:9}' action='set' />
<assign value='source.{PID:11}' property='target.{PID:11}' action='set' />
<assign value='source.{PID:13}' property='target.{PID:13}' action='set' />
<assign value='source.{PID:14}' property='target.{PID:14}' action='set' />
<assign value='source.{PID:19}' property='target.{PID:19}' action='set' />
<assign value='source.{PID:29}' property='target.{PID:29}' action='set' />
<assign value='source.{PV1:1}' property='target.{PV1:1}' action='set' />
<assign value='source.{PV1:2}' property='target.{PV1:2}' action='set' />
<assign value='source.{PV1:3}' property='target.{PV1:3}' action='set' />
<assign value='source.{PV1:4}' property='target.{PV1:4}' action='set' />
<assign value='source.{PV1:5}' property='target.{PV1:5}' action='set' />
<assign value='source.{PV1:6}' property='target.{PV1:6}' action='set' />
<assign value='source.{PV1:7}' property='target.{PV1:7}' action='set' />
<assign value='source.{PV1:8}' property='target.{PV1:8}' action='set' />
<assign value='source.{PV1:9}' property='target.{PV1:9}' action='set' />
<assign value='source.{PV1:10}' property='target.{PV1:10}' action='set' />
<assign value='source.{PV1:19}' property='target.{PV1:19}' action='set' />
</transform>
}

}
TT