Class CCRA.ES.NoseThroatRadiumInfo Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property DeterminationFacility As %String(MAXLEN = "", POPSPEC = "ValueList("",Facility A,Facility B,Facility C"")");

Property DiagnosedWithCancer As %Boolean;

Property DiagnosisVerifiedDate As %String(MAXLEN = 10, POPSPEC = "CDate(3,$h,$h)");

Property FromAviatorServiceBefore1955 As %Boolean;

Property FromSubmarinerServiceBefore1965 As %Boolean;

Property ReceivingTreatment As %String(MAXLEN = "", POPSPEC = "ValueList("",Receiving Treatment A,Receiving Treatment B,Receiving Treatment C"")");

Property VerificationDate As %String(MAXLEN = 10, POPSPEC = "CDate(3,$h,$h)");

Property VerificationFacility As %String(MAXLEN = "", POPSPEC = "ValueList("",Facility A,Facility B,Facility C"")");

Property VerificationMethod As %String(MAXLEN = "", POPSPEC = "ValueList("",Method A,Method B,Method C"")");

Storage Default
{
<Data name="NoseThroatRadiumInfoDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>DeterminationFacility</Value>
</Value>
<Value name="3">
<Value>DiagnosedWithCancer</Value>
</Value>
<Value name="4">
<Value>DiagnosisVerifiedDate</Value>
</Value>
<Value name="5">
<Value>FromAviatorServiceBefore1955</Value>
</Value>
<Value name="6">
<Value>FromSubmarinerServiceBefore1965</Value>
</Value>
<Value name="7">
<Value>ReceivingTreatment</Value>
</Value>
<Value name="8">
<Value>VerificationDate</Value>
</Value>
<Value name="9">
<Value>VerificationFacility</Value>
</Value>
<Value name="10">
<Value>VerificationMethod</Value>
</Value>
</Data>
<DataLocation>^CCRA.ES.NoseThroatRadiumInfoD</DataLocation>
<DefaultData>NoseThroatRadiumInfoDefaultData</DefaultData>
<IdLocation>^CCRA.ES.NoseThroatRadiumInfoD</IdLocation>
<IndexLocation>^CCRA.ES.NoseThroatRadiumInfoI</IndexLocation>
<StreamLocation>^CCRA.ES.NoseThroatRadiumInfoS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
