Class CCRA.OHI Extends (%Persistent, %XML.Adaptor)
{

// OHI Info

// MKC 06-06-2018

// Jazz Task# 752166 - Adding OHI data elements to HSRM data extraction

Property Payor As %String(MAXLEN = "");

Property ValidFromDate As %String(MAXLEN = "");

Property ValidToDate As %String(MAXLEN = "");

Property CardholderName As %String(MAXLEN = "");

Property PayorCardNumber As %String(MAXLEN = "");

Property CardholderAddress As CCRA.Address;

Storage Default
{
<Data name="OHIDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>Payor</Value>
</Value>
<Value name="3">
<Value>ValidFromDate</Value>
</Value>
<Value name="4">
<Value>ValidToDate</Value>
</Value>
<Value name="5">
<Value>CardholderName</Value>
</Value>
<Value name="6">
<Value>PayorCardNumber</Value>
</Value>
<Value name="7">
<Value>CardholderAddress</Value>
</Value>
</Data>
<DataLocation>^CCRA.OHID</DataLocation>
<DefaultData>OHIDefaultData</DefaultData>
<IdLocation>^CCRA.OHID</IdLocation>
<IndexLocation>^CCRA.OHII</IndexLocation>
<StreamLocation>^CCRA.OHIS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
