Class CCRA.PreAuthorizationOrderSet Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property Code As %String(MAXLEN = "");

Property Desc As %String(MAXLEN = "");

Relationship PreAuthorizationDetail As CCRA.PreAuthorizationDetail [ Cardinality = parent, Inverse = OrderSets ];

Relationship OrderSetDates As CCRA.PreAuthorizationOrderSetDate [ Cardinality = children, Inverse = OrderSet ];

Storage Default
{
<Data name="PreAuthorizationOrderSetDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>Code</Value>
</Value>
<Value name="3">
<Value>Desc</Value>
</Value>
</Data>
<DataLocation>^CCRA.PreAuthorizationOrderSetD</DataLocation>
<DefaultData>PreAuthorizationOrderSetDefaultData</DefaultData>
<IdLocation>^CCRA.PreAuthorizationOrderSetD</IdLocation>
<IndexLocation>^CCRA.PreAuthorizationOrderSetI</IndexLocation>
<StreamLocation>^CCRA.PreAuthorizationOrderSetS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
