/// Used to get newly added Referrals from HSRM
Class CCRA.Referral.DataExtraction.Service Extends Ens.BusinessService
{

Property HSRMReferralDataExtractionProcess As Ens.DataType.ConfigName [ InitialExpression = "HSRM.ReferralDataExtraction.Process" ];

Parameter SETTINGS = "HSRMReferralDataExtractionProcess";

Method OnProcessInput(pInput As CCRA.Message.ReferralDataExtractionRequest, Output pOutput As %RegisteredObject) As %Status
{
	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	
	try {
		
		set pInput.pRetrievalDate = $h
		$$$ThrowOnError(..SendRequestAsync(..HSRMReferralDataExtractionProcess,pInput))
		
	} catch e {
		
		set tSC = e.AsStatus()
		
	}

	Quit tSC
}

}
