Class CCRA.WS.Client.ReferralDataExtractionSoap Extends %SOAP.WebClient [ ProcedureBlock ]
{

/// This is the URL used to access the web service.
Parameter LOCATION = "http://DNS  dbscra801.aac.DOMAIN.EX:58774/csp/ccraint/CCRA.WS.ReferralDataExtraction.cls";

/// This is the namespace used by the Service
Parameter NAMESPACE = "http://tempuri.org";

/// Use xsi:type attribute for literal types.
Parameter OUTPUTTYPEATTRIBUTE = 1;

/// Determines handling of Security header.
Parameter SECURITYIN = "ALLOW";

/// This is the name of the Service
Parameter SERVICENAME = "ReferralDataExtraction";

/// This is the SOAP version supported by the service.
Parameter SOAPVERSION = 1.1;

Method RetrieveReferral(Id As %String, Mode As %Integer) As CCRA.WS.Client.s0.Referral [ Final, ProcedureBlock = 1, SoapBindingStyle = document, SoapBodyUse = literal, WebMethod ]
{
 Quit ..WebMethod("RetrieveReferral").Invoke($this,"http://tempuri.org/CCRA.WS.ReferralDataExtraction.RetrieveReferral",.Id,.Mode)
}

Method RetrieveReferralListFromCCRSIndex(StartDate As %Date, EndDate As %Date) As CCRA.WS.Client.s0.ReferralList [ Final, ProcedureBlock = 1, SoapBindingStyle = document, SoapBodyUse = literal, WebMethod ]
{
 Quit ..WebMethod("RetrieveReferralListFromCCRSIndex").Invoke($this,"http://tempuri.org/CCRA.WS.ReferralDataExtraction.RetrieveReferralListFromCCRSIndex",.StartDate,.EndDate)
}

}
T