Class CCRA.WS.Client.s0.OHI Extends (%SerialObject, %XML.Adaptor) [ ProcedureBlock ]
{

// OHI Info

// MKC 06-06-2018

// Jazz Task# 752175 - Adding OHI data elements to HSRM data extraction

Property Payor As %String(MAXLEN = "");

Property ValidFromDate As %String(MAXLEN = "");

Property ValidToDate As %String(MAXLEN = "");

Property CardholderName As %String(MAXLEN = "");

Property PayorCardNumber As %String(MAXLEN = "");

Property CardholderAddress As CCRA.WS.Client.s0.Address;

Storage Default
{
<Data name="OHIState">
<Value name="1">
<Value>Payor</Value>
</Value>
<Value name="2">
<Value>ValidFromDate</Value>
</Value>
<Value name="3">
<Value>ValidToDate</Value>
</Value>
<Value name="4">
<Value>CardholderName</Value>
</Value>
<Value name="5">
<Value>PayorCardNumber</Value>
</Value>
<Value name="6">
<Value>CardholderAddress</Value>
</Value>
<Value name="7">
<Value>Referral</Value>
</Value>
</Data>
<State>OHIState</State>
<StreamLocation>^CCRA.WS.Client.s0.OHIS</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
