Class CCRS.CoPaymentStatus Extends (%Persistent, %XML.Adaptor)
{

Property PriorityEnrollmentGroup As %String;

Property CurrentMeansTest As %String;

Property AgentOrangeExposureIndicator As %Boolean;

Property CombatVeteranEligibilityIndicator As %Boolean;

Property CombatVeteranEndDate As %String;

Property Project112SHADIndicator As %Boolean;

Property SouthwestAsiaIndicator As %Boolean;

Property IonizingRadiationIndicator As %Boolean;

Property CampLejeuneIndicator As %Boolean;

Relationship ServiceConnectedInfo As CCRS.ServiceConnectedInfo [ Cardinality = children, Inverse = CoPaymentStatus ];

Storage Default
{
<Data name="CoPaymentStatusDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>PriorityEnrollmentGroup</Value>
</Value>
<Value name="3">
<Value>CurrentMeansTest</Value>
</Value>
<Value name="4">
<Value>AgentOrangeExposureIndicator</Value>
</Value>
<Value name="5">
<Value>CombatVeteranEligibilityIndicator</Value>
</Value>
<Value name="6">
<Value>CombatVeteranEndDate</Value>
</Value>
<Value name="7">
<Value>Project112SHADIndicator</Value>
</Value>
<Value name="8">
<Value>SouthwestAsiaIndicator</Value>
</Value>
<Value name="9">
<Value>IonizingRadiationIndicator</Value>
</Value>
<Value name="10">
<Value>CampLejeuneIndicator</Value>
</Value>
</Data>
<DataLocation>^CCRS.CoPaymentStatusD</DataLocation>
<DefaultData>CoPaymentStatusDefaultData</DefaultData>
<IdLocation>^CCRS.CoPaymentStatusD</IdLocation>
<IndexLocation>^CCRS.CoPaymentStatusI</IndexLocation>
<StreamLocation>^CCRS.CoPaymentStatusS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
