Class CCRS.MilitarySexualTraumaInfo Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property DeterminationFacility As %String(MAXLEN = "", POPSPEC = "ValueList("",Facility A,Facility B,Facility C"")");

Property Status As %String(MAXLEN = "", POPSPEC = "ValueList("",Accepted,Admitted,Approved,Bill Paid,Cancelled,Initial"")");

Property StatusChangeDate As %String(MAXLEN = 10, POPSPEC = "CDate(3,$h,$h)");

Storage Default
{
<Data name="MilitarySexualTraumaInfoDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>DeterminationFacility</Value>
</Value>
<Value name="3">
<Value>Status</Value>
</Value>
<Value name="4">
<Value>StatusChangeDate</Value>
</Value>
</Data>
<DataLocation>^CCRS.MilitarySexualTraumaInfoD</DataLocation>
<DefaultData>MilitarySexualTraumaInfoDefaultData</DefaultData>
<ExtentSize>3</ExtentSize>
<IdLocation>^CCRS.MilitarySexualTraumaInfoD</IdLocation>
<IndexLocation>^CCRS.MilitarySexualTraumaInfoI</IndexLocation>
<Property name="%%CLASSNAME">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="%%ID">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>1</Selectivity>
</Property>
<Property name="DeterminationFacility">
<AverageFieldSize>10</AverageFieldSize>
<Selectivity>50.0000%</Selectivity>
</Property>
<Property name="Status">
<AverageFieldSize>8.33</AverageFieldSize>
<Selectivity>33.3333%</Selectivity>
</Property>
<Property name="StatusChangeDate">
<AverageFieldSize>10</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<SQLMap name="IDKEY">
<BlockCount>-4</BlockCount>
</SQLMap>
<StreamLocation>^CCRS.MilitarySexualTraumaInfoS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
