Class CCRS.ServiceConnectedInfo Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property ServiceConnectedPercentage As %Integer(POPSPEC = "Integer(1,100)");

Property ServiceConnected As %Boolean;

Property ServiceConnectedCondition As %String(POPSPEC = "ValueList("",Example Condition 1,Example Condition 2,Example Condition 3"")");

Relationship CoPaymentStatus As CCRS.CoPaymentStatus [ Cardinality = parent, Inverse = ServiceConnectedInfo ];

Storage Default
{
<Data name="ServiceConnectedInfoDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>ServiceConnectedPercentage</Value>
</Value>
<Value name="3">
<Value>ServiceConnected</Value>
</Value>
<Value name="4">
<Value>ServiceConnectedCondition</Value>
</Value>
</Data>
<DataLocation>^CCRS.ServiceConnectedInfoD</DataLocation>
<DefaultData>ServiceConnectedInfoDefaultData</DefaultData>
<IdLocation>^CCRS.ServiceConnectedInfoD</IdLocation>
<IndexLocation>^CCRS.ServiceConnectedInfoI</IndexLocation>
<StreamLocation>^CCRS.ServiceConnectedInfoS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
