Class DAS.OHI Extends (%Persistent, %XML.Adaptor)
{

// OHI Info

// JLM 06-06-2018

// Jazz Task# 752722 - Create OHI object for DAS XML File

Property Payor As %String(MAXLEN = "");

Property ValidFromDate As %String(MAXLEN = "");

Property ValidToDate As %String(MAXLEN = "");

Property CardholderName As %String(MAXLEN = "");

Property PayorCardNumber As %String(MAXLEN = "");

Property CardholderAddress As CCRA.Address;

Storage Default
{
<Data name="OHIDefaultData">
<Subscript>"1"</Subscript>
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
</Data>
<Data name="OHIState">
<Value name="1">
<Value>Payor</Value>
</Value>
<Value name="2">
<Value>ValidFromDate</Value>
</Value>
<Value name="3">
<Value>ValidToDate</Value>
</Value>
<Value name="4">
<Value>CardholderName</Value>
</Value>
<Value name="5">
<Value>PayorCardNumber</Value>
</Value>
<Value name="6">
<Value>CardholderAddress</Value>
</Value>
</Data>
<DataLocation>^DAS.OHID</DataLocation>
<DefaultData>OHIDefaultData</DefaultData>
<IdLocation>^DAS.OHID</IdLocation>
<IndexLocation>^DAS.OHII</IndexLocation>
<State>OHIState</State>
<StreamLocation>^DAS.OHIS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
