Class DAS.PreAuthorizationOrderSetDate Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property DateFrom As %String;

Property DateTo As %String;

Relationship OrderSet As DAS.PreAuthorizationOrderSet [ Cardinality = parent, Inverse = OrderSetDates ];

Relationship OrderSetDateItems As DAS.PreAuthorizationOrderSetDateItem [ Cardinality = children, Inverse = OrderSetDate ];

Storage Default
{
<Data name="PreAuthorizationOrderSetDateDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>DateFrom</Value>
</Value>
<Value name="3">
<Value>DateTo</Value>
</Value>
</Data>
<DataLocation>{%%PARENT}("OrderSetDates")</DataLocation>
<DefaultData>PreAuthorizationOrderSetDateDefaultData</DefaultData>
<IdLocation>^DAS.PreAuthorizationOrderSetC("OrderSetDates")</IdLocation>
<IndexLocation>^DAS.PreAuthoriz294AI</IndexLocation>
<StreamLocation>^DAS.PreAuthoriz294AS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
