/// Used to maintain FHIR Resource Documents for DAS Transfers.
Class DAS.ReferralList.FHIRDocument Extends %Persistent
{

Property DocumentId As %String;

// TODO: 8/2/18, JLM,  remove if switching over to JSON

Property ReferralListXML As %Stream.GlobalCharacter;

Property ReferralListJSON As %Stream.GlobalCharacter;

Property CreationDate As %TimeStamp;

Storage Default
{
<Data name="FHIRDocumentDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>DocumentId</Value>
</Value>
<Value name="3">
<Value>Stream</Value>
</Value>
<Value name="4">
<Value>ReferralListXML</Value>
</Value>
<Value name="5">
<Value>CreationDate</Value>
</Value>
<Value name="6">
<Value>ReferralListJSON</Value>
</Value>
</Data>
<DataLocation>^DAS.ReferralList.FHIRDocumentD</DataLocation>
<DefaultData>FHIRDocumentDefaultData</DefaultData>
<IdLocation>^DAS.ReferralList.FHIRDocumentD</IdLocation>
<IndexLocation>^DAS.ReferralList.FHIRDocumentI</IndexLocation>
<StreamLocation>^DAS.ReferralList.FHIRDocumentS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
