Class DAS.Service.RESTTester Extends Ens.BusinessService
{

Parameter ADAPTER = "EnsLib.HTTP.InboundAdapter";

Method OnProcessInput(pInput As Ens.StringContainer) As %Status
{
	#dim bDebug As %Boolean = 1
   	Set tSC = $$$OK
   	#dim sInputBody as %String = ""
   	
   	if (bDebug) {
    	kill ^JessaDebug
    	Set ^JessaDebug("REST Tester") = "fired" 
    }
   	
   	try{
   	
   		If (pInput.%IsNull()) {
   		 	Set ^JessaDebug("RESTTester", "pInput") = "No input received"
   		 	}
   		Else
   		{
   			If (bDebug) { Set ^JessaDebug("RESTTester", "pInput") = "received"} 
   			Set sInputBody = pInput.Read()
   			If (bDebug) { Set ^JessaDebug("RESTTester", "sInputBody") = sInputBody} 
   			If (bDebug) { Set ^JessaDebug("RESTTester", "pInput") = "received3"} 

   		}
   		$$$LOGINFO("Message received by service") 
   	}
   	catch e{
   	 	Set tSC = e.AsStatus()
   	 	If (bDebug) { Set ^JessaDebug("RESTTester", "Catch") = "error" }
   	 	$$$LOGERROR("Error in service") 
   	}  
   	
   	If (bDebug) { Set ^JessaDebug("RESTTester", "Done") = "ok" }
   	Quit tSC
}

}
