/// Created from: C:\Users\smorrison\OneDrive - Cognosante Holdings, LLC\CCR&A\ESR\20171213-esr.wsdl
Class ES.sch.addressInfo Extends (%SerialObject, %XML.Adaptor) [ ProcedureBlock ]
{

Parameter ELEMENTQUALIFIED = 1;

Parameter NAMESPACE = "http://jaxws.webservices.esrDOMAIN.EXT /schemas";

Parameter XMLNAME = "addressInfo";

Parameter XMLSEQUENCE = 0;

Property city As %String(MAXLEN = "", XMLNAME = "city");

Property country As %String(MAXLEN = "", XMLNAME = "country");

Property county As %String(MAXLEN = "", XMLNAME = "county");

Property line1 As %String(MAXLEN = "", XMLNAME = "line1");

Property line2 As %String(MAXLEN = "", XMLNAME = "line2");

Property line3 As %String(MAXLEN = "", XMLNAME = "line3");

Property postalCode As %String(MAXLEN = "", XMLNAME = "postalCode");

Property provinceCode As %String(MAXLEN = "", XMLNAME = "provinceCode");

Property state As %String(MAXLEN = "", XMLNAME = "state");

Property zipCode As %String(MAXLEN = "", XMLNAME = "zipCode");

/// ERROR: Duplicate Property name in Schema. We are adding a duplicate zipcode attribute because the database string has a typo in it and is not populating the zipCode attribute correctly. See Clear Quest ESR 3.12_CodeCR12297_GMT - Address Zip Code missing from payload. The plan is to remove this duplicate zipcode attribute after the database string is corrected.
Property zipcode1 As %String(MAXLEN = "", XMLNAME = "zipcode");

Property zipPlus4 As %String(MAXLEN = "", XMLNAME = "zipPlus4");

Property addressChangeDateTime As %TimeStamp(XMLNAME = "addressChangeDateTime");

Property addressChangeEffectiveDate As %String(MAXLEN = "", XMLNAME = "addressChangeEffectiveDate");

Property addressChangeSite As %String(MAXLEN = "", XMLNAME = "addressChangeSite");

Property addressChangeSource As %String(MAXLEN = "", XMLNAME = "addressChangeSource");

Property addressTypeCode As %String(MAXLEN = "", XMLNAME = "addressTypeCode");

Property badAddressReason As %String(MAXLEN = "", XMLNAME = "badAddressReason");

Property confidentialAddressCategories As list Of %String(MAXLEN = "", XMLITEMNAME = "confidentialAddressCategoryType", XMLNAME = "confidentialAddressCategories", XMLPROJECTION = "COLLECTION");

Property endDate As %String(MAXLEN = "", XMLNAME = "endDate");

Property phoneNumber As %String(MAXLEN = "", XMLNAME = "phoneNumber");

Property contactMethodType As %String(MAXLEN = "", XMLNAME = "contactMethodType");

Property contactMethodReportDate As %Date(XMLNAME = "contactMethodReportDate");

Storage Default
{
<Data name="addressInfoState">
<Value name="1">
<Value>city</Value>
</Value>
<Value name="2">
<Value>country</Value>
</Value>
<Value name="3">
<Value>county</Value>
</Value>
<Value name="4">
<Value>line1</Value>
</Value>
<Value name="5">
<Value>line2</Value>
</Value>
<Value name="6">
<Value>line3</Value>
</Value>
<Value name="7">
<Value>postalCode</Value>
</Value>
<Value name="8">
<Value>provinceCode</Value>
</Value>
<Value name="9">
<Value>state</Value>
</Value>
<Value name="10">
<Value>zipCode</Value>
</Value>
<Value name="11">
<Value>zipcode1</Value>
</Value>
<Value name="12">
<Value>zipPlus4</Value>
</Value>
<Value name="13">
<Value>addressChangeDateTime</Value>
</Value>
<Value name="14">
<Value>addressChangeEffectiveDate</Value>
</Value>
<Value name="15">
<Value>addressChangeSite</Value>
</Value>
<Value name="16">
<Value>addressChangeSource</Value>
</Value>
<Value name="17">
<Value>addressTypeCode</Value>
</Value>
<Value name="18">
<Value>badAddressReason</Value>
</Value>
<Value name="19">
<Value>confidentialAddressCategories</Value>
</Value>
<Value name="20">
<Value>endDate</Value>
</Value>
<Value name="21">
<Value>phoneNumber</Value>
</Value>
<Value name="22">
<Value>contactMethodType</Value>
</Value>
<Value name="23">
<Value>contactMethodReportDate</Value>
</Value>
</Data>
<State>addressInfoState</State>
<StreamLocation>^ES.sch.addressInfoS</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
