/// Created from: C:\Users\smorrison\OneDrive - Cognosante Holdings, LLC\CCR&A\ESR\20171213-esr.wsdl
Class ES.sch.baseFinancialInfo Extends (%SerialObject, %XML.Adaptor) [ Abstract, ProcedureBlock ]
{

Parameter ELEMENTQUALIFIED = 1;

Parameter NAMESPACE = "http://jaxws.webservices.esrDOMAIN.EXT /schemas";

Parameter XMLNAME = "baseFinancialInfo";

Parameter XMLSEQUENCE = 0;

Property assets As list Of ES.sch.assetInfo(XMLITEMNAME = "asset", XMLNAME = "assets", XMLPROJECTION = "COLLECTION");

Property debits As ES.sch.debitInfo(XMLNAME = "debits");

Property expenses As list Of ES.sch.expenseInfo(XMLITEMNAME = "expense", XMLNAME = "expenses", XMLPROJECTION = "COLLECTION");

Property incomeYear As %xsd.int(XMLNAME = "incomeYear");

Property incomes As list Of ES.sch.incomeInfo(XMLITEMNAME = "income", XMLNAME = "incomes", XMLPROJECTION = "COLLECTION");

Storage Default
{
<Data name="baseFinancialInfoState">
<Value name="1">
<Value>assets</Value>
</Value>
<Value name="2">
<Value>debits</Value>
</Value>
<Value name="3">
<Value>expenses</Value>
</Value>
<Value name="4">
<Value>incomeYear</Value>
</Value>
<Value name="5">
<Value>incomes</Value>
</Value>
</Data>
<State>baseFinancialInfoState</State>
<StreamLocation>^ES.sch.baseFinancialInfoS</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
