/// Created from: C:\Users\smorrison\OneDrive - Cognosante Holdings, LLC\CCR&A\ESR\20171213-esr.wsdl
Class ES.sch.catastrophicDisabilityInfo Extends (%SerialObject, %XML.Adaptor) [ ProcedureBlock ]
{

Parameter ELEMENTQUALIFIED = 1;

Parameter NAMESPACE = "http://jaxws.webservices.esrDOMAIN.EXT /schemas";

Parameter XMLNAME = "catastrophicDisabilityInfo";

Parameter XMLSEQUENCE = 0;

Property catastrophicallyDisabled As %Boolean(XMLNAME = "catastrophicallyDisabled");

Property cdConditions As list Of ES.sch.cdConditionInfo(XMLITEMNAME = "cdCondition", XMLNAME = "cdConditions", XMLPROJECTION = "COLLECTION");

Property cdProcedures As list Of ES.sch.cdProcedureInfo(XMLITEMNAME = "cdProcedure", XMLNAME = "cdProcedures", XMLPROJECTION = "COLLECTION");

Property decisionDate As %TimeStamp(XMLNAME = "decisionDate");

Property determinationFacility As %String(MAXLEN = "", XMLNAME = "determinationFacility");

Property determinationMethod As %String(MAXLEN = "", XMLNAME = "determinationMethod");

Property determinedBy As %String(MAXLEN = "", XMLNAME = "determinedBy");

Property diagnoses As list Of %String(MAXLEN = "", XMLITEMNAME = "diagnosis", XMLNAME = "diagnoses", XMLPROJECTION = "COLLECTION");

Property facilityInitiatedCDReviewDate As %TimeStamp(XMLNAME = "facilityInitiatedCDReviewDate");

Property reviewDate As %TimeStamp(XMLNAME = "reviewDate");

Property veteranRequestedCDReviewDate As %TimeStamp(XMLNAME = "veteranRequestedCDReviewDate");

Property veteranWasNotifiedCDDate As %TimeStamp(XMLNAME = "veteranWasNotifiedCDDate");

Storage Default
{
<Data name="catastrophicDisabilityInfoState">
<Value name="1">
<Value>catastrophicallyDisabled</Value>
</Value>
<Value name="2">
<Value>cdConditions</Value>
</Value>
<Value name="3">
<Value>cdProcedures</Value>
</Value>
<Value name="4">
<Value>decisionDate</Value>
</Value>
<Value name="5">
<Value>determinationFacility</Value>
</Value>
<Value name="6">
<Value>determinationMethod</Value>
</Value>
<Value name="7">
<Value>determinedBy</Value>
</Value>
<Value name="8">
<Value>diagnoses</Value>
</Value>
<Value name="9">
<Value>facilityInitiatedCDReviewDate</Value>
</Value>
<Value name="10">
<Value>reviewDate</Value>
</Value>
<Value name="11">
<Value>veteranRequestedCDReviewDate</Value>
</Value>
<Value name="12">
<Value>veteranWasNotifiedCDDate</Value>
</Value>
</Data>
<State>catastrophicDisabilityInfoState</State>
<StreamLocation>^ES.sch.catastrophi5961S</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
