/// Created from: C:\Users\smorrison\OneDrive - Cognosante Holdings, LLC\CCR&A\ESR\20171213-esr.wsdl
Class ES.sch.demographicInfo Extends (%SerialObject, %XML.Adaptor) [ ProcedureBlock ]
{

Parameter ELEMENTQUALIFIED = 1;

Parameter NAMESPACE = "http://jaxws.webservices.esrDOMAIN.EXT /schemas";

Parameter XMLNAME = "demographicInfo";

Parameter XMLSEQUENCE = 0;

Property appointmentRequestDate As %TimeStamp(XMLNAME = "appointmentRequestDate");

Property appointmentRequestResponse As %Boolean(XMLNAME = "appointmentRequestResponse");

Property claimFolderLocation As %String(MAXLEN = "", XMLNAME = "claimFolderLocation");

Property claimFolderNumber As %String(MAXLEN = "", XMLNAME = "claimFolderNumber");

Property contactInfo As ES.sch.contactInfo(XMLNAME = "contactInfo");

Property ethnicity As %String(MAXLEN = "", XMLNAME = "ethnicity");

Property maritalStatus As %String(MAXLEN = "", XMLNAME = "maritalStatus");

Property preferredFacility As %String(MAXLEN = "", XMLNAME = "preferredFacility");

Property assignmentDate As %TimeStamp(XMLNAME = "assignmentDate");

Property unassignmentDate As %TimeStamp(XMLNAME = "unassignmentDate");

Property races As list Of %String(MAXLEN = "", XMLITEMNAME = "race", XMLNAME = "races", XMLPROJECTION = "COLLECTION");

Property religion As %String(MAXLEN = "", XMLNAME = "religion");

Property preferredFacilities As list Of ES.sch.preferredFacilityInfo(XMLITEMNAME = "preferredFacilityInfo", XMLNAME = "preferredFacilities", XMLPROJECTION = "COLLECTION");

Property acaIndicator As %Boolean(XMLNAME = "acaIndicator");

Property preferredLanguage As %String(MAXLEN = "", XMLNAME = "preferredLanguage");

Property preferredLanguageEntryDate As %TimeStamp(XMLNAME = "preferredLanguageEntryDate");

Storage Default
{
<Data name="demographicInfoState">
<Value name="1">
<Value>appointmentRequestDate</Value>
</Value>
<Value name="2">
<Value>appointmentRequestResponse</Value>
</Value>
<Value name="3">
<Value>claimFolderLocation</Value>
</Value>
<Value name="4">
<Value>claimFolderNumber</Value>
</Value>
<Value name="5">
<Value>contactInfo</Value>
</Value>
<Value name="6">
<Value>ethnicity</Value>
</Value>
<Value name="7">
<Value>maritalStatus</Value>
</Value>
<Value name="8">
<Value>preferredFacility</Value>
</Value>
<Value name="9">
<Value>assignmentDate</Value>
</Value>
<Value name="10">
<Value>unassignmentDate</Value>
</Value>
<Value name="11">
<Value>races</Value>
</Value>
<Value name="12">
<Value>religion</Value>
</Value>
<Value name="13">
<Value>preferredFacilities</Value>
</Value>
<Value name="14">
<Value>acaIndicator</Value>
</Value>
<Value name="15">
<Value>preferredLanguage</Value>
</Value>
<Value name="16">
<Value>preferredLanguageEntryDate</Value>
</Value>
</Data>
<State>demographicInfoState</State>
<StreamLocation>^ES.sch.demographicInfoS</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
