Class ES.sch.eeSummary Extends (%SerialObject, %XML.Adaptor) [ ProcedureBlock ]
{

Parameter ELEMENTQUALIFIED = 1;

Parameter NAMESPACE = "http://jaxws.webservices.esrDOMAIN.EXT /schemas";

Parameter XMLNAME = "eeSummary";

Parameter XMLSEQUENCE = 0;

Property associations As list Of ES.sch.associationInfo(XMLITEMNAME = "association", XMLNAME = "associations", XMLPROJECTION = "COLLECTION");

Property deathRecond As ES.sch.deathRecondInfo(XMLNAME = "deathRecond");

Property demographics As ES.sch.demographicInfo(XMLNAME = "demographics");

Property eligibilityVerificationInfo As ES.sch.eligibilityVerificationInfo(XMLNAME = "eligibilityVerificationInfo");

Property employmentInfo As ES.sch.employmentInfo(XMLNAME = "employmentInfo");

Property enrollmentDeterminationInfo As ES.sch.enrollmentDeterminationInfo(XMLNAME = "enrollmentDeterminationInfo");

Property feeBasisList As list Of ES.sch.feeBasisInfo(XMLITEMNAME = "feeBasis", XMLNAME = "feeBasisList", XMLPROJECTION = "COLLECTION");

Property financialsInfo As ES.sch.financialsInfo(XMLNAME = "financialsInfo");

Property incompetenceRulingInfo As ES.sch.incompetenceRulingInfo(XMLNAME = "incompetenceRulingInfo");

Property insuranceList As list Of ES.sch.insuranceInfo(XMLITEMNAME = "insurance", XMLNAME = "insuranceList", XMLPROJECTION = "COLLECTION");

Property militaryServiceInfo As ES.sch.militaryServiceInfo(XMLNAME = "militaryServiceInfo");

Property prisonerOfWarInfo As ES.sch.prisonerOfWarInfo(XMLNAME = "prisonerOfWarInfo");

Property purpleHeart As ES.sch.purpleHeartInfo(XMLNAME = "purpleHeart");

Property relations As list Of ES.sch.relationInfo(XMLITEMNAME = "relation", XMLNAME = "relations", XMLPROJECTION = "COLLECTION");

Property sensitivityInfo As ES.sch.sensitivityInfo(XMLNAME = "sensitivityInfo");

Property spinalCordInjuryInfo As ES.sch.spinalCordInjuryInfo(XMLNAME = "spinalCordInjuryInfo");

Property personInfo As ES.sch.personInfo(XMLNAME = "personInfo");

Property consentInfo As ES.sch.consentInfo(XMLNAME = "consentInfo");

Storage Default
{
<Data name="eeSummaryState">
<Value name="1">
<Value>associations</Value>
</Value>
<Value name="2">
<Value>deathRecond</Value>
</Value>
<Value name="3">
<Value>demographics</Value>
</Value>
<Value name="4">
<Value>eligibilityVerificationInfo</Value>
</Value>
<Value name="5">
<Value>employmentInfo</Value>
</Value>
<Value name="6">
<Value>enrollmentDeterminationInfo</Value>
</Value>
<Value name="7">
<Value>feeBasisList</Value>
</Value>
<Value name="8">
<Value>financialsInfo</Value>
</Value>
<Value name="9">
<Value>incompetenceRulingInfo</Value>
</Value>
<Value name="10">
<Value>insuranceList</Value>
</Value>
<Value name="11">
<Value>militaryServiceInfo</Value>
</Value>
<Value name="12">
<Value>prisonerOfWarInfo</Value>
</Value>
<Value name="13">
<Value>purpleHeart</Value>
</Value>
<Value name="14">
<Value>relations</Value>
</Value>
<Value name="15">
<Value>sensitivityInfo</Value>
</Value>
<Value name="16">
<Value>spinalCordInjuryInfo</Value>
</Value>
<Value name="17">
<Value>personInfo</Value>
</Value>
<Value name="18">
<Value>consentInfo</Value>
</Value>
</Data>
<State>eeSummaryState</State>
<StreamLocation>^ES.sch.eeSummaryS</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
