/// Created from: C:\Users\smorrison\OneDrive - Cognosante Holdings, LLC\CCR&A\ESR\20171213-esr.wsdl
Class ES.sch.enrollmentDeterminationInfo Extends (%SerialObject, %XML.Adaptor) [ ProcedureBlock ]
{

Parameter ELEMENTQUALIFIED = 1;

Parameter NAMESPACE = "http://jaxws.webservices.esrDOMAIN.EXT /schemas";

Parameter XMLNAME = "enrollmentDeterminationInfo";

Parameter XMLSEQUENCE = 0;

Property applicationDate As %TimeStamp(XMLNAME = "applicationDate");

Property calculationSource As %String(MAXLEN = "", XMLNAME = "calculationSource");

Property cancelDeclineInfo As ES.sch.cancelDeclineInfo(XMLNAME = "cancelDeclineInfo");

Property catastrophicDisabilityInfo As ES.sch.catastrophicDisabilityInfo(XMLNAME = "catastrophicDisabilityInfo");

Property effectiveDate As %TimeStamp(XMLNAME = "effectiveDate");

Property eligibleForMedicaid As %Boolean(XMLNAME = "eligibleForMedicaid");

Property medicaidLastModifiedDate As %TimeStamp(XMLNAME = "medicaidLastModifiedDate");

Property endDate As %TimeStamp(XMLNAME = "endDate");

Property enrollmentDate As %TimeStamp(XMLNAME = "enrollmentDate");

Property enrollmentStatus As %String(MAXLEN = "", XMLNAME = "enrollmentStatus");

Property facilityReceived As %String(MAXLEN = "", XMLNAME = "facilityReceived");

Property enrollmentCategoryName As %String(MAXLEN = "", XMLNAME = "enrollmentCategoryName");

Property ineligibilityFactor As ES.sch.ineligibilityFactorInfo(XMLNAME = "ineligibilityFactor");

Property militarySexualTraumaInfo As ES.sch.militarySexualTraumaInfo(XMLNAME = "militarySexualTraumaInfo");

Property monetaryBenefitAwardInfo As ES.sch.monetaryBenefitAwardInfo(XMLNAME = "monetaryBenefitAwardInfo");

Property noseThroatRadiumInfo As ES.sch.noseThroatRadiumInfo(XMLNAME = "noseThroatRadiumInfo");

Property otherEligibilities As list Of ES.sch.eligibilityInfo(XMLITEMNAME = "eligibility", XMLNAME = "otherEligibilities", XMLPROJECTION = "COLLECTION");

Property primaryEligibility As ES.sch.eligibilityInfo(XMLNAME = "primaryEligibility");

Property priorityGroup As %String(MAXLEN = "", XMLNAME = "priorityGroup");

Property prioritySubGroup As %String(MAXLEN = "", XMLNAME = "prioritySubGroup");

Property secondaryEligibilities As list Of ES.sch.eligibilityInfo(XMLITEMNAME = "eligibility", XMLNAME = "secondaryEligibilities", XMLPROJECTION = "COLLECTION");

Property serviceConnectionAward As ES.sch.serviceConnectionAwardInfo(XMLNAME = "serviceConnectionAward");

Property specialFactors As ES.sch.specialFactorsInfo(XMLNAME = "specialFactors");

Property userEnrolleeSite As %String(MAXLEN = "", XMLNAME = "userEnrolleeSite");

Property userEnrolleeValidThrough As %xsd.int(XMLNAME = "userEnrolleeValidThrough");

Property veteran As %Boolean(XMLNAME = "veteran");

Property recordCreatedDate As %TimeStamp(XMLNAME = "recordCreatedDate");

Property recordModifiedDate As %TimeStamp(XMLNAME = "recordModifiedDate");

Storage Default
{
<Data name="enrollmentDeterminationInfoState">
<Value name="1">
<Value>applicationDate</Value>
</Value>
<Value name="2">
<Value>calculationSource</Value>
</Value>
<Value name="3">
<Value>cancelDeclineInfo</Value>
</Value>
<Value name="4">
<Value>catastrophicDisabilityInfo</Value>
</Value>
<Value name="5">
<Value>effectiveDate</Value>
</Value>
<Value name="6">
<Value>eligibleForMedicaid</Value>
</Value>
<Value name="7">
<Value>medicaidLastModifiedDate</Value>
</Value>
<Value name="8">
<Value>endDate</Value>
</Value>
<Value name="9">
<Value>enrollmentDate</Value>
</Value>
<Value name="10">
<Value>enrollmentStatus</Value>
</Value>
<Value name="11">
<Value>facilityReceived</Value>
</Value>
<Value name="12">
<Value>enrollmentCategoryName</Value>
</Value>
<Value name="13">
<Value>ineligibilityFactor</Value>
</Value>
<Value name="14">
<Value>militarySexualTraumaInfo</Value>
</Value>
<Value name="15">
<Value>monetaryBenefitAwardInfo</Value>
</Value>
<Value name="16">
<Value>noseThroatRadiumInfo</Value>
</Value>
<Value name="17">
<Value>otherEligibilities</Value>
</Value>
<Value name="18">
<Value>primaryEligibility</Value>
</Value>
<Value name="19">
<Value>priorityGroup</Value>
</Value>
<Value name="20">
<Value>prioritySubGroup</Value>
</Value>
<Value name="21">
<Value>secondaryEligibilities</Value>
</Value>
<Value name="22">
<Value>serviceConnectionAward</Value>
</Value>
<Value name="23">
<Value>specialFactors</Value>
</Value>
<Value name="24">
<Value>userEnrolleeSite</Value>
</Value>
<Value name="25">
<Value>userEnrolleeValidThrough</Value>
</Value>
<Value name="26">
<Value>veteran</Value>
</Value>
<Value name="27">
<Value>recordCreatedDate</Value>
</Value>
<Value name="28">
<Value>recordModifiedDate</Value>
</Value>
</Data>
<State>enrollmentDeterminationInfoState</State>
<StreamLocation>^ES.sch.enrollmentDF93DS</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
