/// Created from: C:\Users\smorrison\OneDrive - Cognosante Holdings, LLC\CCR&A\ESR\20171213-esr.wsdl
Class ES.sch.insuranceInfo Extends (%SerialObject, %XML.Adaptor) [ ProcedureBlock ]
{

Parameter ELEMENTQUALIFIED = 1;

Parameter NAMESPACE = "http://jaxws.webservices.esrDOMAIN.EXT /schemas";

Parameter XMLNAME = "insuranceInfo";

Parameter XMLSEQUENCE = 0;

Property companyName As %String(MAXLEN = "", XMLNAME = "companyName");

Property enrolledInPartA As %Boolean(XMLNAME = "enrolledInPartA");

Property enrolledInPartB As %Boolean(XMLNAME = "enrolledInPartB");

Property groupName As %String(MAXLEN = "", XMLNAME = "groupName");

Property groupNumber As %String(MAXLEN = "", XMLNAME = "groupNumber");

Property insAddress As ES.sch.addressInfo(XMLNAME = "insAddress");

Property insurancePhones As list Of ES.sch.phoneInfo(XMLITEMNAME = "phone", XMLNAME = "insurancePhones", XMLPROJECTION = "COLLECTION");

Property insuranceSiteUploadStatus As %String(MAXLEN = "", XMLNAME = "insuranceSiteUploadStatus");

Property insuredRelationship As %String(MAXLEN = "", XMLNAME = "insuredRelationship");

Property insuranceMappingTypeName As %String(MAXLEN = "", XMLNAME = "insuranceMappingTypeName");

Property lastEditedDate As %TimeStamp(XMLNAME = "lastEditedDate");

Property partAEffectiveDate As %String(MAXLEN = "", XMLNAME = "partAEffectiveDate");

Property partBEffectiveDate As %String(MAXLEN = "", XMLNAME = "partBEffectiveDate");

Property planType As %String(MAXLEN = "", XMLNAME = "planType");

Property policyEffectiveDate As %String(MAXLEN = "", XMLNAME = "policyEffectiveDate");

Property policyExpirationDate As %String(MAXLEN = "", XMLNAME = "policyExpirationDate");

Property policyHolderName As %String(MAXLEN = "", XMLNAME = "policyHolderName");

Property policyNumber As %String(MAXLEN = "", XMLNAME = "policyNumber");

Property preadmitCertification As %Boolean(XMLNAME = "preadmitCertification");

Property reasonInsuranceNotUploaded As %String(MAXLEN = "", XMLNAME = "reasonInsuranceNotUploaded");

Property subscriber As %String(MAXLEN = "", XMLNAME = "subscriber");

Storage Default
{
<Data name="insuranceInfoState">
<Value name="1">
<Value>companyName</Value>
</Value>
<Value name="2">
<Value>enrolledInPartA</Value>
</Value>
<Value name="3">
<Value>enrolledInPartB</Value>
</Value>
<Value name="4">
<Value>groupName</Value>
</Value>
<Value name="5">
<Value>groupNumber</Value>
</Value>
<Value name="6">
<Value>insAddress</Value>
</Value>
<Value name="7">
<Value>insurancePhones</Value>
</Value>
<Value name="8">
<Value>insuranceSiteUploadStatus</Value>
</Value>
<Value name="9">
<Value>insuredRelationship</Value>
</Value>
<Value name="10">
<Value>insuranceMappingTypeName</Value>
</Value>
<Value name="11">
<Value>lastEditedDate</Value>
</Value>
<Value name="12">
<Value>partAEffectiveDate</Value>
</Value>
<Value name="13">
<Value>partBEffectiveDate</Value>
</Value>
<Value name="14">
<Value>planType</Value>
</Value>
<Value name="15">
<Value>policyEffectiveDate</Value>
</Value>
<Value name="16">
<Value>policyExpirationDate</Value>
</Value>
<Value name="17">
<Value>policyHolderName</Value>
</Value>
<Value name="18">
<Value>policyNumber</Value>
</Value>
<Value name="19">
<Value>preadmitCertification</Value>
</Value>
<Value name="20">
<Value>reasonInsuranceNotUploaded</Value>
</Value>
<Value name="21">
<Value>subscriber</Value>
</Value>
</Data>
<State>insuranceInfoState</State>
<StreamLocation>^ES.sch.insuranceInfoS</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
