/// Created from: C:\Users\smorrison\OneDrive - Cognosante Holdings, LLC\CCR&A\ESR\20171213-esr.wsdl
Class ES.sch.personInfo Extends (%SerialObject, %XML.Adaptor) [ ProcedureBlock ]
{

Parameter ELEMENTQUALIFIED = 1;

Parameter NAMESPACE = "http://jaxws.webservices.esrDOMAIN.EXT /schemas";

Parameter XMLNAME = "personInfo";

Parameter XMLSEQUENCE = 1;

Property firstName As %String(MAXLEN = "", XMLNAME = "firstName");

Property middleName As %String(MAXLEN = "", XMLNAME = "middleName");

Property lastName As %String(MAXLEN = "", XMLNAME = "lastName");

Property prefix As %String(MAXLEN = "", XMLNAME = "prefix");

Property suffix As %String(MAXLEN = "", XMLNAME = "suffix");

Property ssnText As %String(MAXLEN = "", XMLNAME = "ssnText");

Property gender As %String(MAXLEN = "", XMLNAME = "gender");

Property dob As %String(MAXLEN = "", XMLNAME = "dob");

Property ssaVerificationStatus As %String(MAXLEN = "", XMLNAME = "ssaVerificationStatus");

Property ssaVerificationDate As %Date(XMLNAME = "ssaVerificationDate");

Property vamcData As list Of ES.sch.vamcInfo(XMLITEMNAME = "vamcInfo", XMLNAME = "vamcData", XMLPROJECTION = "COLLECTION");

Property names As list Of ES.sch.nameInfo(XMLITEMNAME = "name", XMLNAME = "names", XMLPROJECTION = "COLLECTION") [ SqlFieldName = _names ];

Property mothersMaidenName As %String(MAXLEN = "", XMLNAME = "mothersMaidenName");

Property placeOfBirthCity As %String(MAXLEN = "", XMLNAME = "placeOfBirthCity");

Property placeOfBirthState As %String(MAXLEN = "", XMLNAME = "placeOfBirthState");

Storage Default
{
<Data name="personInfoState">
<Value name="1">
<Value>firstName</Value>
</Value>
<Value name="2">
<Value>middleName</Value>
</Value>
<Value name="3">
<Value>lastName</Value>
</Value>
<Value name="4">
<Value>prefix</Value>
</Value>
<Value name="5">
<Value>suffix</Value>
</Value>
<Value name="6">
<Value>ssnText</Value>
</Value>
<Value name="7">
<Value>gender</Value>
</Value>
<Value name="8">
<Value>dob</Value>
</Value>
<Value name="9">
<Value>ssaVerificationStatus</Value>
</Value>
<Value name="10">
<Value>ssaVerificationDate</Value>
</Value>
<Value name="11">
<Value>vamcData</Value>
</Value>
<Value name="12">
<Value>names</Value>
</Value>
<Value name="13">
<Value>mothersMaidenName</Value>
</Value>
<Value name="14">
<Value>placeOfBirthCity</Value>
</Value>
<Value name="15">
<Value>placeOfBirthState</Value>
</Value>
</Data>
<State>personInfoState</State>
<StreamLocation>^ES.sch.personInfoS</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
