Class PPMS.Client.Provider Extends (%Persistent, %XML.Adaptor)
{

Property NPI As %String;

Property Name As %String(MAXLEN = 80);

Property ProviderType As %String;

/// List of Specialities linked to the CareProvider
Property Speciality As list Of HS.SDA3.CodeTableDetail;

Property QualityRankingTotalScore As %String;

Property MainPhone As %String;

Property Email As %String;

Property AddressStreet As %String;

Property AddressCity As %String;

Property AddressState As %String;

Property AddressZipCode As %String;

Property ProviderStatusReason As %String;

Property HealthNetAffiliation As %String;

Property ProviderAgreementAffiliation As %String;

Property Pc3Affiliation As %String;

Property DodAffiliation As %String;

Property VaAcademicAffiliate As %String;

Property PrimaryCarePhysician As %String;

Property TriWestAffiliation As %String;

Property IhsAffiliation As %String;

Property ChoiceAffiliation As %String;

Property HighPerformance As %String;

Property Fqhc As %String;

Property AccountableCareOrganization As %String;

Property IsAcceptingNewPatients As %String;

Property ProviderEthnicity As %String;

Property ProviderGender As %String;

Property Religion As %String;

Property OrganizationId As %String;

Property ServiceProviderType As %String;

Property SpecialInstruction As %String;

Property OwnedCareSiteName As %String;

Property OrganizationFax As %String;

Property OrganizationStatus As %String;

Property IsExternal As %String;

Property InternalType As %String;

Property LicensingJuristicion As %String;

Property CanCreateHealthCareOrders As %String;

Property InternalAppointmentStatus As %String;

Property ExternalHealthProviderType As %String;

Property OnLeie As %String;

Property ExternalInstitutionDeaNumber As %String;

Property ExternalLeieCheckDate As %String;

Property ModifiedOnDate As %String;

Property ValidationSource As %String;

Property ContactMethod As %String;

Property BulkEmails As %String;

Property BulkMails As %String;

Property Emails As %String;

Property Mails As %String;

Property PhoneCalls As %String;

Property Faxes As %String;

Property NpiKey As %String;

Storage Default
{
<Data name="ProviderDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>NPI</Value>
</Value>
<Value name="3">
<Value>Name</Value>
</Value>
<Value name="4">
<Value>ProviderType</Value>
</Value>
<Value name="5">
<Value>Speciality</Value>
</Value>
<Value name="6">
<Value>QualityRankingTotalScore</Value>
</Value>
<Value name="7">
<Value>MainPhone</Value>
</Value>
<Value name="8">
<Value>Email</Value>
</Value>
<Value name="9">
<Value>AddressStreet</Value>
</Value>
<Value name="10">
<Value>AddressCity</Value>
</Value>
<Value name="11">
<Value>AddressState</Value>
</Value>
<Value name="12">
<Value>AddressZipCode</Value>
</Value>
<Value name="13">
<Value>ProviderStatusReason</Value>
</Value>
<Value name="14">
<Value>HealthNetAffiliation</Value>
</Value>
<Value name="15">
<Value>ProviderAgreementAffiliation</Value>
</Value>
<Value name="16">
<Value>Pc3Affiliation</Value>
</Value>
<Value name="17">
<Value>DodAffiliation</Value>
</Value>
<Value name="18">
<Value>VaAcademicAffiliate</Value>
</Value>
<Value name="19">
<Value>PrimaryCarePhysician</Value>
</Value>
<Value name="20">
<Value>TriWestAffiliation</Value>
</Value>
<Value name="21">
<Value>IhsAffiliation</Value>
</Value>
<Value name="22">
<Value>ChoiceAffiliation</Value>
</Value>
<Value name="23">
<Value>HighPerformance</Value>
</Value>
<Value name="24">
<Value>Fqhc</Value>
</Value>
<Value name="25">
<Value>AccountableCareOrganization</Value>
</Value>
<Value name="26">
<Value>IsAcceptingNewPatients</Value>
</Value>
<Value name="27">
<Value>ProviderEthnicity</Value>
</Value>
<Value name="28">
<Value>ProviderGender</Value>
</Value>
<Value name="29">
<Value>Religion</Value>
</Value>
<Value name="30">
<Value>OrganizationId</Value>
</Value>
<Value name="31">
<Value>ServiceProviderType</Value>
</Value>
<Value name="32">
<Value>SpecialInstruction</Value>
</Value>
<Value name="33">
<Value>OwnedCareSiteName</Value>
</Value>
<Value name="34">
<Value>OrganizationFax</Value>
</Value>
<Value name="35">
<Value>OrganizationStatus</Value>
</Value>
<Value name="36">
<Value>IsExternal</Value>
</Value>
<Value name="37">
<Value>InternalType</Value>
</Value>
<Value name="38">
<Value>LicensingJuristicion</Value>
</Value>
<Value name="39">
<Value>CanCreateHealthCareOrders</Value>
</Value>
<Value name="40">
<Value>InternalAppointmentStatus</Value>
</Value>
<Value name="41">
<Value>ExternalHealthProviderType</Value>
</Value>
<Value name="42">
<Value>OnLeie</Value>
</Value>
<Value name="43">
<Value>ExternalInstitutionDeaNumber</Value>
</Value>
<Value name="44">
<Value>ExternalLeieCheckDate</Value>
</Value>
<Value name="45">
<Value>ModifiedOnDate</Value>
</Value>
<Value name="46">
<Value>ValidationSource</Value>
</Value>
<Value name="47">
<Value>ContactMethod</Value>
</Value>
<Value name="48">
<Value>BulkEmails</Value>
</Value>
<Value name="49">
<Value>BulkMails</Value>
</Value>
<Value name="50">
<Value>Emails</Value>
</Value>
<Value name="51">
<Value>Mails</Value>
</Value>
<Value name="52">
<Value>PhoneCalls</Value>
</Value>
<Value name="53">
<Value>Faxes</Value>
</Value>
<Value name="54">
<Value>NpiKey</Value>
</Value>
</Data>
<DataLocation>^PPMS.Client.ProviderD</DataLocation>
<DefaultData>ProviderDefaultData</DefaultData>
<IdLocation>^PPMS.Client.ProviderD</IdLocation>
<IndexLocation>^PPMS.Client.ProviderI</IndexLocation>
<StreamLocation>^PPMS.Client.ProviderS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
