/// Used to maintained obtain Provider updates from PPMS.
Class PPMS.Maintenance.Service Extends Ens.BusinessService
{

Property PPMSProcessTarget As Ens.DataType.ConfigName [ InitialExpression = "PPMS.Maintenance.Process" ];

Parameter ADAPTER;

Parameter SETTINGS = "PPMSProcessTarget";

Method OnProcessInput(pInput As PPMS.Client.Message.GetProvidersRequest, Output pOutput As %RegisteredObject) As %Status
{
  #dim tSC As %Status = $$$OK
  #dim err As %Exception.AbstractException
  
  try {
    
    $$$ThrowOnError(..SendRequestAsync(..PPMSProcessTarget,pInput))
    
  } catch err {
     
    s tSC = err.AsStatus()
    
  }

  q tSC
}

}
