Class SEOC.Maintenance.DB.API.JSONParser Extends Ens.BusinessProcess [ ClassType = persistent ]
{

Method OnRequest(pRequest As SEOC.Maintenance.DB.Message.ParseJSONRequest, Output pResponse As SEOC.Maintenance.DB.Message.ParseJSONResponse) As %Status
{
	#dim tSC As %String = $$$OK
	#dim e As %Exception.AbstractException
	#dim tSEOC As SEOC.Maintenance.DB.OBJ.SEOC
	
	try {
		
		//Create Response
		set pResponse = ##class(SEOC.Maintenance.DB.Message.ParseJSONResponse).%New()
		
		//Parse the JSON object into a SEOC
		set tSEOC = ##class(SEOC.Maintenance.DB.OBJ.SEOC).CreateFromDynamicObj(pRequest.JSON,.tSC)
		$$$ThrowOnError(tSC)
		
		set pResponse.SEOC = tSEOC
		
	} catch e {
		
		set tSC = e.AsStatus()
		set pResponse.SEOC = ""
		
	}
	
	quit tSC
}

Storage Default
{
<Type>%Library.CacheStorage</Type>
}

}
