Class SEOC.Maintenance.DB.Service.Task Extends Ens.BusinessService
{

Property SEOCDBUploadProcess As Ens.DataType.ConfigName [ InitialExpression = "SEOC.Maintenance.DB.API.Process" ];

Parameter ADAPTER;

Parameter SETTINGS = "SEOCDBUploadProcess";

Method OnProcessInput(pInput As SEOC.Maintenance.DB.Message.RetrieveSEOCRequest, Output pOutput As %RegisteredObject) As %Status
{
  #dim tSC As %Status = $$$OK
  #dim err As %Exception.AbstractException
  
  try {
    
    $$$ThrowOnError(..SendRequestAsync(..SEOCDBUploadProcess,pInput))
    
  } catch err {
     
    s tSC = err.AsStatus()
    
  }

  q tSC
}

}
