Class eCAMS.Util.Test Extends %RegisteredObject
{

ClassMethod DBRestClient() As %Status
{
	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	#dim tOp As Ens.Host
	
	try {
	
		set tMsg = ##class(eCAMS.Message.eCAMSReferralRequest).%OpenId(593)
		
		set tOp = ##class(Ens.Host).GetShadowInstance("eCAMS.Operation.ReferralDocumentToeCAMS")
		d tOp.OnInit()
		
		$$$ThrowOnError(tOp.OnMessage(tMsg,.tResponse))
			
	} catch e {
		
		set tSC = e.AsStatus()
		
	}
	
	quit tSC
}

ClassMethod DBAPIProcess() As %Status
{
	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	#dim tOp As Ens.Host
	
	try {
	
		set tMsg = ##class(SEOC.Maintenance.DB.Message.RetrieveSEOCRequest).%New()
		set tMsg.SEOCId = ""
		
		set tOp = ##class(Ens.Host).GetShadowInstance("SEOC.Maintenance.DB.API.Process")
		d tOp.OnInit()
		
		$$$ThrowOnError(tOp.OnRequest(tMsg,.tResponse))
			
	} catch e {
		
		set tSC = e.AsStatus()
		
	}
	
	quit tSC
}

}
