Class CCRA.ES.CoPaymentStatus Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property PriorityEnrollmentGroup As %String(POPSPEC = "ValueList("",Group A,Group B,Group C"")");

Property CurrentMeansTest As %String(POPSPEC = "ValueList("",Example Means Test 1,Example Means Test 2,Example Means Test 3"")");

Property AgentOrangeExposureIndicator As %Boolean;

Property CombatVeteranEligibilityIndicator As %Boolean;

Property CombatVeteranEndDate As %String(POPSPEC = "CDate(3)");

Property Project112SHADIndicator As %Boolean;

Property SouthwestAsiaIndicator As %Boolean;

Property IonizingRadiationIndicator As %Boolean;

Property CampLejeuneIndicator As %Boolean;

Relationship ServiceConnectedInfo As CCRA.ES.ServiceConnectedInfo [ Cardinality = children, Inverse = CoPaymentStatus ];

Storage Default
{
<Data name="CoPaymentStatusDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>PriorityEnrollmentGroup</Value>
</Value>
<Value name="3">
<Value>CurrentMeansTest</Value>
</Value>
<Value name="4">
<Value>AgentOrangeExposureIndicator</Value>
</Value>
<Value name="5">
<Value>CombatVeteranEligibilityIndicator</Value>
</Value>
<Value name="6">
<Value>CombatVeteranEndDate</Value>
</Value>
<Value name="7">
<Value>Project112SHADIndicator</Value>
</Value>
<Value name="8">
<Value>SouthwestAsiaIndicator</Value>
</Value>
<Value name="9">
<Value>IonizingRadiationIndicator</Value>
</Value>
<Value name="10">
<Value>CampLejeuneIndicator</Value>
</Value>
</Data>
<DataLocation>^CCRA.ES.CoPaymentStatusD</DataLocation>
<DefaultData>CoPaymentStatusDefaultData</DefaultData>
<IdLocation>^CCRA.ES.CoPaymentStatusD</IdLocation>
<IndexLocation>^CCRA.ES.CoPaymentStatusI</IndexLocation>
<StreamLocation>^CCRA.ES.CoPaymentStatusS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
