Class CCRA.ES.ServiceConnectedInfo Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property ServiceConnectedPercentage As %Integer(POPSPEC = "Integer(1,100)");

Property ServiceConnected As %Boolean;

Property ServiceConnectedCondition As %String(POPSPEC = "ValueList("",Example Condition 1,Example Condition 2,Example Condition 3"")");

Relationship CoPaymentStatus As CCRA.ES.CoPaymentStatus [ Cardinality = parent, Inverse = ServiceConnectedInfo ];

Storage Default
{
<Data name="ServiceConnectedInfoDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>ServiceConnectedPercentage</Value>
</Value>
<Value name="3">
<Value>ServiceConnected</Value>
</Value>
<Value name="4">
<Value>ServiceConnectedCondition</Value>
</Value>
</Data>
<DataLocation>{%%PARENT}("ServiceConnectedInfo")</DataLocation>
<DefaultData>ServiceConnectedInfoDefaultData</DefaultData>
<IdLocation>^CCRA.ES.CoPaymentStatusC("ServiceConnectedInfo")</IdLocation>
<IndexLocation>^CCRA.ES.ServiceConnectedInfoI</IndexLocation>
<StreamLocation>^CCRA.ES.ServiceConnectedInfoS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
