﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading;
using VA.QA.Common.UIFramework.Selenium;
using Quintity.TestFramework.Core;
using OpenQA.Selenium;
using OpenQA.Selenium.Support.PageObjects;

using VA.QA.CCRA.TestCases.Pages;


namespace VA.QA.CCRA.TestCases.Pages
{
   public class PagePatientSearch : PageGlobalElements
    {

        private readonly IWebDriver _driver;
        public PagePatientSearch(IWebDriver browser)
        {
            _driver = browser;
            IPage.Equals(browser, this);
            PageFactory.InitElements(browser, this);
        }

        public Boolean IsRightPage
        {
            get
            {
                return true;
            }

        }

        [FindsBy(How = How.Id, Using = "PAPerson_Find_0-header-caption")]
        public IWebElement pageNamePatientSearch { get; set; }


        [FindsBy(How = How.CssSelector, Using = "#tc_NavBar-misc-profileToggle span.ng-binding:contains('VA CC Staff Member')")]
        public IWebElement userNameVASupervisor { get; set; }


        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Patient Search')]")]
        public IWebElement moduleNamePatientSearch { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Find_0-item-PAPERName")]
        public IWebElement inputLastName { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Find_0-item-PAPERName2")]
        public IWebElement inputFirstName { get; set; }

        [FindsBy(How = How.Id, Using = "PAPerson_Find_0-button-find1")]
        public IWebElement btnFind { get; set; }

        public Boolean Temp()
        {
            return true;
        }

        public PageReferralList NavigateToPageReferralList()
        {
            linkMainMenu.Click();
            Thread.Sleep(2000);
            linkReferralList.Click();
            Thread.Sleep(3000);
            return new PageReferralList(SharedTestMethods.Driver);

        }


    }
}


