﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using VA.QA.Common.UIFramework.Selenium;
using OpenQA.Selenium;
using VA.QA.CCRA.TestCases.Pages;
using OpenQA.Selenium.Support.PageObjects;
using VA.QA.CCRA.TestCases.Common;
using NUnit.Framework;

namespace VA.QA.CCRA.TestCases
{
    public class PlayGround 
    {




        //public Logins(IWebDriver browser, Boolean showMaximized): this (browser)
        //{
        //    //deal with showMaximized

        //}

        //TC US 47492 Ability to add Referral Details - Care Indicated Date

        [TestCase("AddRefDetails_CareIndicatedDate", "Ability to add Referral Details - Care Indicated Date")]
        public void AddRefDetails_CareIndicatedDate()

        {
            SharedTestMethods.LoginAsVACCStaffMember();
            var pagePatientSearch = new PagePatientSearch(SharedTestMethods.Driver);

            pagePatientSearch.inputLastName.SendKeys("Testing");
            pagePatientSearch.inputFirstName.SendKeys("Mikes");
            pagePatientSearch.btnFind.Click();



            //The patient results screen displays.
            //Click on the Name Billy Jones
            // The referral list for Billy Jones displays.
            //Click on the referral row.  The referral details display.
            //Choose the Data Picker for "Clinically Indicated Date" and select today's date.  The date is updated on the screed
            //Choose the "Update" button at the bottom of the page.  The referral list displays.
            //Select VA CC Staff Member in the upper right.The user details display.
            //Choose the "Logout" button.  The logon screen displays
            //Enter:
            //Username: ccss
            //Password: pass
            //Choose the "Logon" button
            //The referral list displays.
            //Choose the Main menu drop down and select "Find Referrals by Patient". The referral search screen displays.
            //Enter the referral Last Name Jones and first Name Billy and choose find.The referral list displays the selected referral row.
            //Click on the referral line. The referral details display and the Clinically Indicated date is today's date.
            //Click on Community Staff Member at the top of the screen. The user details display.
            //Choose the "Logout" button. The application returns to the logon screen.

            //I can enter a care indicated date in the field "Clinically Indicated Date" within the application.
            ////////////////////////////////////////////////////////////////////////////////////////////

            //Thread.Sleep(3000);
            //var pageReferralDetails = new PageReferralDetails(Driver);
            //TestAssert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            // logins.UserLogOut();
            EnvironmentManager.Instance.CloseCurrentDriver();
        }

        [Test]
        public void AbilityToView_PatientRegistration()

        {
            SharedTestMethods.LoginAsVACCStaffMember();
            var pagePatientSearch = new PagePatientSearch(SharedTestMethods.Driver);
            pagePatientSearch.inputLastName.SendKeys("HSRMPATIENT");
            pagePatientSearch.inputFirstName.SendKeys("TwoSixFive");
            pagePatientSearch.btnFind.Click();
            var pagePatientList = new PagePatientList(SharedTestMethods.Driver);
            pagePatientList.linkPatientFirst.Click();
            Thread.Sleep(3000);
            var pageReferralDetails = new PageReferralDetails(SharedTestMethods.Driver);
            var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            //pageReferralList.linkReferralAny.Click();
            var pageHome = new PageHome(SharedTestMethods.Driver);
            pageHome.buttonEclipse.Click();
            Thread.Sleep(1000);
            pageHome.linkPatientDetails.Click();
            Thread.Sleep(6000);
            var pagePatientDetails = new PagePatientDetails(SharedTestMethods.Driver);
            //TestAssert.IsTrue(pagePatientDetails.inputSSN.Displayed);
            //TestAssert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            //TestAssert.IsTrue(pageReferralDetails.referralBannerName.Displayed);
            //TestAssert.IsTrue(pageReferralDetails.referralBannerDOB.Displayed);
            //TestAssert.IsTrue(pageReferralDetails.referralBannerAge.Displayed);
            //TestAssert.IsTrue(pageReferralDetails.referralBannerSex.Displayed);
            if (pagePatientDetails.IsFemale)
            {
                pagePatientDetails.inputContactNotes.SendKeys("Patient is a female");
            }
            else if (pagePatientDetails.IsMale)
            {
                pagePatientDetails.inputContactNotes.SendKeys("Patient is a male");
            }

            Thread.Sleep(5000);

            string inputText = pagePatientDetails.inputContactNotes.GetAttribute("value");
            if (!String.IsNullOrEmpty(inputText))
            {
                pagePatientDetails.inputContactNotes.Clear();
            }

            pagePatientDetails.inputContactNotes.SendKeys("Patient Prefers to be contacted via email");
            pagePatientDetails.btnUpdate.Click();
            Thread.Sleep(3000);

            pageHome.buttonEclipse.Click();
            Thread.Sleep(2000);
            pageHome.linkPatientDetails.Click();
            Thread.Sleep(3000);
            // TestAssert.IsTrue(pagePatientDetails.inputContactNotesWithValue.Displayed);



            pageHome.buttonEclipse.Click();
            Thread.Sleep(1000);
            pageReferralDetails.linkPatientDetails.Click();
            Thread.Sleep(6000);





            //pagePatientDetails.inputContactNotes.SendKeys(Keys.End);
            //pagePatientDetails.inputContactNotes.SendKeys(Keys.Backspace);
            //pagePatientDetails.inputContactNotes.SendKeys(Keys.Backspace);
            //pagePatientDetails.inputContactNotes.SendKeys(Keys.Backspace);
            //pagePatientDetails.inputContactNotes.SendKeys(Keys.Backspace);
            //pagePatientDetails.inputContactNotes.SendKeys(Keys.Backspace);

            //SharedTestMethods.Driver.FindElement(pagePatientDetails.inputContactNotes).SendKeys(Clear);
            pagePatientDetails.btnUpdate.Click();
            Thread.Sleep(3000);


            pageHome.buttonEclipse.Click();
            Thread.Sleep(2000);
            pageHome.linkPatientDetails.Click();
            Thread.Sleep(3000);
            //TestAssert.IsTrue(pagePatientDetails.inputContactNotesWithValue.Displayed);

            SharedTestMethods.LogoutAndExit();
        }

        //TC 50248 47860 Ability to View Patient Information on referral
        [Test]
        public void AbilityToViewPatientIInformationOnReferral()

        {
            SharedTestMethods.LoginAsCommunityClinician();
            var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            pageReferralList.linkReferralAny.Click();
            var pageReferralDetails = new PageReferralDetails(SharedTestMethods.Driver);
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);
            Assert.IsTrue(pageReferralDetails.referralDetails_BannerName.Displayed);
            Assert.IsTrue(pageReferralDetails.referralDetails_BannerDOB.Displayed);
            Assert.IsTrue(pageReferralDetails.referralDetails_BannerAge.Displayed);
            Assert.IsTrue(pageReferralDetails.referralDetails_BannerSex.Displayed);
            pageReferralDetails.buttonEllipse.Click();
            Thread.Sleep(2000);
            pageReferralDetails.linkPatientDetails.Click();
            Thread.Sleep(1000);
            var pagePatientDetails = new PagePatientDetails(SharedTestMethods.Driver);
            Assert.IsTrue(pagePatientDetails.inputSSN.Displayed);
            SharedTestMethods.LogoutAndExit();
        }







    }
}