Class HC2HSRM.SIUHSRM Extends Ens.DataTransformDTL [ DependsOn = EnsLib.HL7.Message ]
{

Parameter IGNOREMISSINGSOURCE = 1;

Parameter REPORTERRORS = 1;

Parameter TREATEMPTYREPEATINGFIELDASNULL = 0;

XData DTL [ XMLNamespace = "http://www.intersystems.com/dtl" ]
{
<transform sourceClass='EnsLib.HL7.Message' targetClass='EnsLib.HL7.Message' sourceDocType='HSRM_SIU_REF:SIU_S12' targetDocType='HSRM_SIU_REF:SIU_S12' create='new' language='objectscript' >
<assign value='source.{MSH:1}' property='target.{MSH:1}' action='set' />
<assign value='source.{MSH:2}' property='target.{MSH:2}' action='set' />
<assign value='"SD-CCRA-HSRM"' property='target.{MSH:3}' action='set' />
<assign value='"ccra.DOMAIN.EX"' property='target.{MSH:4}' action='set' />
<assign value='"SD-CCRA-VISTA"' property='target.{MSH:5}' action='set' />
<assign value='..Lookup("VistADNS",source.{PIDgrp(1).PV1:3.4},"10.247.79.42.DOMAIN.EX",1)' property='target.{MSH:6}' action='set' />
<assign value='source.{MSH:7}' property='target.{MSH:7}' action='set' />
<assign value='source.{MSH:8}' property='target.{MSH:8}' action='set' />
<assign value='source.{MSH:9}' property='target.{MSH:9}' action='set' />
<assign value='source.{MSH:10}' property='target.{MSH:10}' action='set' />
<assign value='"T"' property='target.{MSH:11}' action='set' />
<assign value='source.{MSH:12}' property='target.{MSH:12}' action='set' />
<assign value='source.{MSH:13}' property='target.{MSH:13}' action='set' />
<assign value='source.{MSH:14}' property='target.{MSH:14}' action='set' />
<assign value='source.{MSH:15}' property='target.{MSH:15}' action='set' />
<assign value='source.{MSH:16}' property='target.{MSH:16}' action='set' />
<assign value='..Piece(..SubString(source.{PIDgrp(1).PV1:19.1}),"_",2,3)' property='target.{SCH:2}' action='set' />
<if condition='source.{MSH:9}="S12"' >
<true>
<assign value='"SCHEDULED"' property='target.{SCH:6}' action='set' />
</true>
</if>
<if condition='source.{MSH:9}="S15"' >
<true>
<assign value='"CANCELLED"' property='target.{SCH:6}' action='set' />
</true>
</if>
<if condition='source.{MSH:9}="S15"' >
<true>
<assign value='"NO SHOW"' property='target.{SCH:6}' action='set' />
</true>
</if>
<assign value='source.{SCH:9}' property='target.{SCH:9}' action='set' />
<assign value='source.{SCH:10}' property='target.{SCH:10}' action='set' />
<assign value='source.{SCH:11}' property='target.{SCH:11}' action='set' />
<assign value='source.{SCH:12}' property='target.{SCH:12}' action='set' />
<assign value='source.{SCH:20}' property='target.{SCH:20}' action='set' />
<assign value='source.{SCH:25}' property='target.{SCH:25}' action='set' />
<assign value='source.{SCH:26}' property='target.{SCH:26}' action='set' />
<foreach property='source.{NTE()}' key='k1' >
<assign value='source.{NTE(k1):1}' property='target.{NTE(k1):1}' action='set' />
<assign value='source.{NTE(k1):3}' property='target.{NTE(k1):3}' action='set' />
<assign value='source.{NTE(k1):4}' property='target.{NTE(k1):4}' action='set' />
</foreach>
<foreach property='source.{PIDgrp()}' key='k1' >
<foreach property='source.{PIDgrp(k1).PID:3()}' key='k2' >
<if condition='source.{PIDgrp(k1).PID:3(k2).5}="MRN"' >
<true>
<assign value='source.{PIDgrp(k1).PID:3(k2).1}' property='target.{PIDgrp(k1).PID:3(k2).1}' action='set' />
<assign value='"USVHA"' property='target.{PIDgrp(k1).PID:3(k2).4.1}' action='set' />
<assign value='"NI"' property='target.{PIDgrp(k1).PID:3(k2).5}' action='set' />
</true>
</if>
<if condition='source.{PIDgrp(k1).PID:3(k2).5}="GOV"' >
<true>
<assign value='source.{PIDgrp(k1).PID:3(k2).1}' property='target.{PIDgrp(k1).PID:3(k2).1}' action='set' />
<assign value='"USVHA"' property='target.{PIDgrp(k1).PID:3(k2).4.1}' action='set' />
<assign value='"IEN"' property='target.{PIDgrp(k1).PID:3(k2).5}' action='set' />
</true>
</if>
<if condition='source.{PIDgrp(k1).PID:3(k2).5}="CHINHS"' >
<true>
<assign value='source.{PIDgrp(k1).PID:3(k2).1}' property='target.{PIDgrp(k1).PID:3(k2).1}' action='set' />
<assign value='"USVHA"' property='target.{PIDgrp(k1).PID:3(k2).4.1}' action='set' />
<assign value='"SSN"' property='target.{PIDgrp(k1).PID:3(k2).5}' action='set' />
</true>
</if>
</foreach>
<assign value='source.{PIDgrp(k1).PID:5}' property='target.{PIDgrp(k1).PID:5}' action='set' />
<assign value='source.{PIDgrp(k1).PID:7}' property='target.{PIDgrp(k1).PID:7}' action='set' />
<assign value='source.{PIDgrp(k1).PID:8}' property='target.{PIDgrp(k1).PID:8}' action='set' />
<assign value='source.{PIDgrp(k1).PID:9}' property='target.{PIDgrp(k1).PID:9}' action='set' />
<assign value='source.{PIDgrp(k1).PID:11}' property='target.{PIDgrp(k1).PID:11}' action='set' />
<assign value='source.{PIDgrp(k1).PID:13}' property='target.{PIDgrp(k1).PID:13}' action='set' />
<assign value='source.{PIDgrp(k1).PID:14}' property='target.{PIDgrp(k1).PID:14}' action='set' />
<assign value='..Piece(..SubString(source.{PIDgrp(1).PV1:19.1}),"_",2,3)' property='target.{PIDgrp(k1).PID:18}' action='set' />
<assign value='source.{PIDgrp(k1).PID:29}' property='target.{PIDgrp(k1).PID:29}' action='set' />
<assign value='..Piece(..SubString(source.{PIDgrp(1).PV1:19.1}),"_",2,3)' property='target.{PIDgrp(k1).PV1:19}' action='set' />
<assign value='source.{PIDgrp(k1).PV1:44}' property='target.{PIDgrp(k1).PV1:44}' action='set' />
<assign value='source.{PIDgrp(k1).PV1:45}' property='target.{PIDgrp(k1).PV1:45}' action='set' />
</foreach>
<foreach property='source.{RGSgrp()}' key='k1' >
<assign value='source.{RGSgrp(k1).RGS:1}' property='target.{RGSgrp(k1).RGS:1}' action='set' />
<assign value='source.{RGSgrp(k1).RGS:2}' property='target.{RGSgrp(k1).RGS:2}' action='set' />
<foreach property='source.{RGSgrp(k1).AISgrp()}' key='k2' >
<assign value='source.{RGSgrp(k1).AISgrp(k2).AIS:1}' property='target.{RGSgrp(k1).AISgrp(k2).AIS:1}' action='set' />
<assign value='source.{RGSgrp(k1).AISgrp(k2).AIS:2}' property='target.{RGSgrp(k1).AISgrp(k2).AIS:2}' action='set' />
<assign value='source.{RGSgrp(k1).AISgrp(k2).AIS:3}' property='target.{RGSgrp(k1).AISgrp(k2).AIS:3}' action='set' />
<assign value='source.{RGSgrp(k1).AISgrp(k2).AIS:4}_" (APT START)"' property='target.{RGSgrp(k1).AISgrp(k2).AIS:4}' action='set' />
<assign value='source.{RGSgrp(k1).AISgrp(k2).AIS:5}_" (LENGTH OF APT)"' property='target.{RGSgrp(k1).AISgrp(k2).AIS:5}' action='set' />
</foreach>
<foreach property='source.{RGSgrp(k1).AIGgrp()}' key='k2' >
<assign value='source.{RGSgrp(k1).AIGgrp(k2).AIG:1}' property='target.{RGSgrp(k1).AIGgrp(k2).AIG:1}' action='set' />
<assign value='source.{RGSgrp(k1).AIGgrp(k2).AIG:2}' property='target.{RGSgrp(k1).AIGgrp(k2).AIG:2}' action='set' />
<assign value='source.{RGSgrp(k1).AIGgrp(k2).AIG:3}' property='target.{RGSgrp(k1).AIGgrp(k2).AIG:3}' action='set' />
<assign value='source.{RGSgrp(k1).AIGgrp(k2).AIG:4}' property='target.{RGSgrp(k1).AIGgrp(k2).AIG:4}' action='set' />
<assign value='source.{RGSgrp(k1).AIGgrp(k2).AIG:5}' property='target.{RGSgrp(k1).AIGgrp(k2).AIG:5}' action='set' />
</foreach>
<foreach property='source.{RGSgrp(k1).AILgrp()}' key='k2' >
<assign value='source.{RGSgrp(k1).AILgrp(k2).AIL:1}' property='target.{RGSgrp(k1).AILgrp(k2).AIL:1}' action='set' />
<assign value='source.{RGSgrp(k1).AILgrp(k2).AIL:2}' property='target.{RGSgrp(k1).AILgrp(k2).AIL:2}' action='set' />
<assign value='source.{RGSgrp(k1).AILgrp(k2).AIL:3}' property='target.{RGSgrp(k1).AILgrp(k2).AIL:3}' action='set' />
<assign value='source.{RGSgrp(k1).AILgrp(k2).AIL:4}' property='target.{RGSgrp(k1).AILgrp(k2).AIL:4}' action='set' />
<assign value='source.{RGSgrp(k1).AILgrp(k2).AIL:5}' property='target.{RGSgrp(k1).AILgrp(k2).AIL:5}' action='set' />
</foreach>
<foreach property='source.{RGSgrp(k1).AIPgrp()}' key='k2' >
<assign value='source.{RGSgrp(k1).AIPgrp(k2).AIP:1}' property='target.{RGSgrp(k1).AIPgrp(k2).AIP:1}' action='set' />
<assign value='source.{RGSgrp(k1).AIPgrp(k2).AIP:2}' property='target.{RGSgrp(k1).AIPgrp(k2).AIP:2}' action='set' />
<assign value='source.{RGSgrp(k1).AIPgrp(k2).AIP:3}' property='target.{RGSgrp(k1).AIPgrp(k2).AIP:3}' action='set' />
<assign value='source.{RGSgrp(k1).AIPgrp(k2).AIP:4}' property='target.{RGSgrp(k1).AIPgrp(k2).AIP:4}' action='set' />
</foreach>
</foreach>
</transform>
}

}
TT