Class CCRA.Referral.DataExtraction.Task Extends %SYS.Task.Definition
{

Parameter TaskName As STRING = "HSRM Referral Data Extraction";

Method OnTask() As %Status
{
  #dim tSC As %Status = $$$OK
  #dim err As %Exception.AbstractException
  #dim tService As Ens.BusinessService
  
  try
  {
    s tSC = ##class(Ens.Director).CreateBusinessService("CCRA.Referral.DataExtraction.Service",.tService)
    
    s pRequest = ##class(CCRA.Message.ReferralDataExtractionRequest).%New()
    // trigger business service
    $$$ThrowOnError(tService.OnProcessInput(pRequest))
  }
  catch err
  {
    Set tSC=err.AsStatus()
  }
  quit tSC
}

}
