/// Contains Unit Tests for CCRA WS interface.
Class CCRA.Utils.Test Extends %RegisteredObject
{

ClassMethod ReferralDataExtractionProcess(tMsgId As %Integer) As %Status
{
	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	#dim tMsg As CCRA.Message.GetReferralByIdRequest
	
	try {
	
		set tMsg=##class(CCRA.Message.RetrieveReferralRequest).%OpenId(tMsgId)
		if (tMsg=$$$NULLOREF) $$$ThrowOnError($$$ERROR($$$GeneralError,"Invalid Request Message"))
		
		set tOp=##class(Ens.Host).GetShadowInstance("HSRM.ReferralDataExtraction.Process",tSC)
		if (tOp=$$$NULLOREF) $$$ThrowOnError($$$ERROR($$$GeneralError,"Invalid Configuration"))
		
		d tOp.OnInit()
		
		d tOp.OnRequest(tMsg,.tResponse)
		
	
	} catch e {
	
		set tSC = e.AsStatus()
		
	}
	
	quit tSC
}

}
