/// Routing alerts 
Class CCRAInt.CCRA.AlertRoutingRule Extends Ens.Rule.Definition
{

Parameter RuleAssistClass = "EnsLib.MsgRouter.RuleAssist";

XData RuleDefinition [ XMLNamespace = "http://www.intersystems.com/rule" ]
{
<ruleDefinition alias="" context="EnsLib.MsgRouter.RoutingEngine" production="CCRAINTPKG.AccessGatewayProduction">
<ruleSet name="Alert routing" effectiveBegin="" effectiveEnd="">
<rule name="eCAMS" disabled="false">
<constraint name="source" value="eCAMS.Operation.ReferralDocumentToeCAMS"></constraint>
<when condition="1=1">
<send transform="" target="eCAMS.Operation.Alert"></send>
<return></return>
</when>
</rule>
<rule name="ES" disabled="false">
<constraint name="source" value="ES.Service.eeSummarySoap"></constraint>
<when condition="1=1">
<send transform="" target="ES.Alert"></send>
<return></return>
</when>
</rule>
</ruleSet>
</ruleDefinition>
}

}
