Class CCRS.NoseThroatRadiumInfo Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property DeterminationFacility As %String(MAXLEN = "", POPSPEC = "ValueList("",Facility A,Facility B,Facility C"")");

Property DiagnosedWithCancer As %Boolean;

Property DiagnosisVerifiedDate As %String(MAXLEN = 10, POPSPEC = "CDate(3,$h,$h)");

Property FromAviatorServiceBefore1955 As %Boolean;

Property FromSubmarinerServiceBefore1965 As %Boolean;

Property ReceivingTreatment As %String(MAXLEN = "", POPSPEC = "ValueList("",Receiving Treatment A,Receiving Treatment B,Receiving Treatment C"")");

Property VerificationDate As %String(MAXLEN = 10, POPSPEC = "CDate(3,$h,$h)");

Property VerificationFacility As %String(MAXLEN = "", POPSPEC = "ValueList("",Facility A,Facility B,Facility C"")");

Property VerificationMethod As %String(MAXLEN = "", POPSPEC = "ValueList("",Method A,Method B,Method C"")");

Storage Default
{
<Data name="NoseThroatRadiumInfoDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>DeterminationFacility</Value>
</Value>
<Value name="3">
<Value>DiagnosedWithCancer</Value>
</Value>
<Value name="4">
<Value>DiagnosisVerifiedDate</Value>
</Value>
<Value name="5">
<Value>FromAviatorServiceBefore1955</Value>
</Value>
<Value name="6">
<Value>FromSubmarinerServiceBefore1965</Value>
</Value>
<Value name="7">
<Value>ReceivingTreatment</Value>
</Value>
<Value name="8">
<Value>VerificationDate</Value>
</Value>
<Value name="9">
<Value>VerificationFacility</Value>
</Value>
<Value name="10">
<Value>VerificationMethod</Value>
</Value>
</Data>
<DataLocation>^CCRS.NoseThroatRadiumInfoD</DataLocation>
<DefaultData>NoseThroatRadiumInfoDefaultData</DefaultData>
<ExtentSize>3</ExtentSize>
<IdLocation>^CCRS.NoseThroatRadiumInfoD</IdLocation>
<IndexLocation>^CCRS.NoseThroatRadiumInfoI</IndexLocation>
<Property name="%%CLASSNAME">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="%%ID">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>1</Selectivity>
</Property>
<Property name="DeterminationFacility">
<AverageFieldSize>10</AverageFieldSize>
<Selectivity>50.0000%</Selectivity>
</Property>
<Property name="DiagnosedWithCancer">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>50.0000%</Selectivity>
</Property>
<Property name="DiagnosisVerifiedDate">
<AverageFieldSize>10</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="FromAviatorServiceBefore1955">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="FromSubmarinerServiceBefore1965">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>50.0000%</Selectivity>
</Property>
<Property name="ReceivingTreatment">
<AverageFieldSize>21</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="VerificationDate">
<AverageFieldSize>10</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="VerificationFacility">
<AverageFieldSize>10</AverageFieldSize>
<Selectivity>50.0000%</Selectivity>
</Property>
<Property name="VerificationMethod">
<AverageFieldSize>8</AverageFieldSize>
<Selectivity>50.0000%</Selectivity>
</Property>
<SQLMap name="IDKEY">
<BlockCount>-4</BlockCount>
</SQLMap>
<StreamLocation>^CCRS.NoseThroatRadiumInfoS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
