Class CCRS.Patient Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property ICN As %String(MAXLEN = 220);

Property LastName As %String(MAXLEN = 220);

Property FirstName As %String(MAXLEN = 220);

Property Gender As %String(MAXLEN = 220);

Property DOB As %String(MAXLEN = 10, POPSPEC = "CDate(3,$h,$h)");

Property SSN As %String(MAXLEN = 220);

Storage Default
{
<Data name="PatientDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>LastName</Value>
</Value>
<Value name="3">
<Value>FirstName</Value>
</Value>
<Value name="4">
<Value>Gender</Value>
</Value>
<Value name="5">
<Value>DOB</Value>
</Value>
<Value name="6">
<Value>SSN</Value>
</Value>
<Value name="7">
<Value>ICN</Value>
</Value>
</Data>
<DataLocation>^CCRS.PatientD</DataLocation>
<DefaultData>PatientDefaultData</DefaultData>
<ExtentSize>10</ExtentSize>
<IdLocation>^CCRS.PatientD</IdLocation>
<IndexLocation>^CCRS.PatientI</IndexLocation>
<Property name="%%CLASSNAME">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="%%ID">
<AverageFieldSize>1.1</AverageFieldSize>
<Selectivity>1</Selectivity>
</Property>
<Property name="DOB">
<AverageFieldSize>10</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="FirstName">
<AverageFieldSize>5</AverageFieldSize>
<Selectivity>10.0000%</Selectivity>
</Property>
<Property name="Gender">
<AverageFieldSize>4.9</AverageFieldSize>
<Selectivity>10.0000%</Selectivity>
</Property>
<Property name="ICN">
<AverageFieldSize>4.9</AverageFieldSize>
<Selectivity>10.0000%</Selectivity>
</Property>
<Property name="LastName">
<AverageFieldSize>4.9</AverageFieldSize>
<Selectivity>10.0000%</Selectivity>
</Property>
<Property name="SSN">
<AverageFieldSize>11</AverageFieldSize>
<Selectivity>10.0000%</Selectivity>
</Property>
<SQLMap name="IDKEY">
<BlockCount>-4</BlockCount>
</SQLMap>
<StreamLocation>^CCRS.PatientS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
