Class CCRS.PreAuthorizationDetail Extends (%Persistent, %Populate, %XML.Adaptor)
{

// Property Service As %String(MAXLEN = "", POPSPEC = "ValueList(""|VENOGRAPHY, EPIDURAL, RADIOLOGICAL S&I|ANGIOGRAPHY, ADRENAL, UNILAT, SELECTIVE, RADIOLOGICAL S&I|CARDIAC MRI, MORPHOLOGY AND FUNCTION W/O &W CONTRAST MATL & FURTHER SEQ"")");

// Property Quantity As %Integer(POPSPEC = "Integer(1,5)");

Property LimitQty As %Integer;

Relationship PreAuthorization As CCRS.PreAuthorization [ Cardinality = parent, Inverse = Details ];

Relationship OrderSets As CCRS.PreAuthorizationOrderSet [ Cardinality = children, Inverse = PreAuthorizationDetail ];

Storage Default
{
<Data name="PreAuthorizationDetailDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>LimitQty</Value>
</Value>
</Data>
<DataLocation>{%%PARENT}("Details")</DataLocation>
<DefaultData>PreAuthorizationDetailDefaultData</DefaultData>
<IdLocation>^CCRS.PreAuthorizationC("Details")</IdLocation>
<IndexLocation>^CCRS.PreAuthorizationDetailI</IndexLocation>
<StreamLocation>^CCRS.PreAuthorizationDetailS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
