Class CCRS.PreAuthorizationOrderSetDateItem Extends (%Persistent, %Populate, %XML.Adaptor)
{

// MKC - 02/28/2018 - Previously named CPTCode - Change to Procedure Code per CCRS Request.

Property ProcedureCode As %String(MAXLEN = "");

Relationship OrderSetDate As CCRS.PreAuthorizationOrderSetDate [ Cardinality = parent, Inverse = OrderSetDateItems ];

Storage Default
{
<Data name="PreAuthorizationOrderSetDateItemDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>Service</Value>
</Value>
<Value name="3">
<Value>Quantity</Value>
</Value>
<Value name="4">
<Value>CPTCode</Value>
</Value>
<Value name="5">
<Value>ProcedureCode</Value>
</Value>
</Data>
<DataLocation>^CCRS.PreAuthoriz2B7BD</DataLocation>
<DefaultData>PreAuthorizationOrderSetDateItemDefaultData</DefaultData>
<IdLocation>^CCRS.PreAuthoriz2B7BD</IdLocation>
<IndexLocation>^CCRS.PreAuthoriz2B7BI</IndexLocation>
<StreamLocation>^CCRS.PreAuthoriz2B7BS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
