Class CCRS.ReferralList Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property ListDate As %String(MAXLEN = 10, POPSPEC = "CDate(3,$h,$h)");

Relationship Referrals As CCRS.Referral [ Cardinality = children, Inverse = ReferralList ];

Storage Default
{
<Data name="ReferralListDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>ListDate</Value>
</Value>
</Data>
<DataLocation>^CCRS.ReferralListD</DataLocation>
<DefaultData>ReferralListDefaultData</DefaultData>
<ExtentSize>1</ExtentSize>
<IdLocation>^CCRS.ReferralListD</IdLocation>
<IndexLocation>^CCRS.ReferralListI</IndexLocation>
<Property name="%%CLASSNAME">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="%%ID">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>1</Selectivity>
</Property>
<Property name="ListDate">
<AverageFieldSize>10</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<SQLMap name="IDKEY">
<BlockCount>-4</BlockCount>
</SQLMap>
<StreamLocation>^CCRS.ReferralListS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
