Class CCRS.TransactionHistory Extends (%Persistent, %Populate, %XML.Adaptor)
{

/*HSRM Mapping
	User.PAWaitingList.ChildPAWaitingListTransaction
	User.PAWaitingListTransaction.TRANSDate
*/
Property TransactionDate As %String(POPSPEC = "CDate(3,$h,$h)");

/*HSRM Mapping
	User.PAWaitingList.ChildPAWaitingListTransaction
	User.PAWaitingListTransaction.TRANSDateEffective
*/
Property EffectiveDate As %String(POPSPEC = "CDate(3,$h,$h)");

/*HSRM Mapping
	User.PAWaitingList.ChildPAWaitingListTransaction
	User.PAWaitingListTransaction.TRANSReasonForChangeDR
	User.PACWaitListReasonForChange.WLRCDesc
*/
Property Reason As %String(MAXLEN = 220, POPSPEC = "ValueList("",Reason1,Reason2,Reason3"")");

/*HSRM Mapping
	User.PAWaitingList.ChildPAWaitingListTransaction
	User.PAWaitingListTransaction.TRANSStatusDR
	User.PACWaitingListStatus.WLSDesc
*/
Property Status As %String(MAXLEN = 220, POPSPEC = "ValueList("",Status1,Status2,Status3"")");

Relationship Referral As CCRS.Referral [ Cardinality = parent, Inverse = TransactionHistory ];

Storage Default
{
<Data name="TransactionHistoryDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>TransactionDate</Value>
</Value>
<Value name="3">
<Value>Reason</Value>
</Value>
<Value name="4">
<Value>Status</Value>
</Value>
<Value name="5">
<Value>EffectiveDate</Value>
</Value>
</Data>
<DataLocation>^CCRS.TransactionHistoryD</DataLocation>
<DefaultData>TransactionHistoryDefaultData</DefaultData>
<ExtentSize>18</ExtentSize>
<IdLocation>^CCRS.TransactionHistoryD</IdLocation>
<IndexLocation>^CCRS.TransactionHistoryI</IndexLocation>
<Property name="%%CLASSNAME">
<AverageFieldSize>1</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="%%ID">
<AverageFieldSize>7.5</AverageFieldSize>
<Selectivity>1</Selectivity>
</Property>
<Property name="EffectiveDate">
<AverageFieldSize>10</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="Reason">
<AverageFieldSize>7</AverageFieldSize>
<Selectivity>33.3333%</Selectivity>
</Property>
<Property name="Referral">
<AverageFieldSize>4</AverageFieldSize>
<Selectivity>33.3333%</Selectivity>
</Property>
<Property name="Status">
<AverageFieldSize>7</AverageFieldSize>
<Selectivity>33.3333%</Selectivity>
</Property>
<Property name="TransactionDate">
<AverageFieldSize>10</AverageFieldSize>
<Selectivity>100.0000%</Selectivity>
</Property>
<Property name="childsub">
<AverageFieldSize>1.5</AverageFieldSize>
<Selectivity>5.5556%</Selectivity>
</Property>
<SQLMap name="IDKEY">
<BlockCount>-4</BlockCount>
</SQLMap>
<StreamLocation>^CCRS.TransactionHistoryS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
