Class DAS.PreAuthorizationOrderSet Extends (%Persistent, %Populate, %XML.Adaptor)
{

Property Code As %String(MAXLEN = "");

Property Desc As %String(MAXLEN = "");

Relationship PreAuthorizationDetail As DAS.PreAuthorizationDetail [ Cardinality = parent, Inverse = OrderSets ];

Relationship OrderSetDates As DAS.PreAuthorizationOrderSetDate [ Cardinality = children, Inverse = OrderSet ];

Storage Default
{
<Data name="PreAuthorizationOrderSetDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>Code</Value>
</Value>
<Value name="3">
<Value>Desc</Value>
</Value>
</Data>
<DataLocation>{%%PARENT}("OrderSets")</DataLocation>
<DefaultData>PreAuthorizationOrderSetDefaultData</DefaultData>
<IdLocation>^DAS.PreAuthorizationDetailC("OrderSets")</IdLocation>
<IndexLocation>^DAS.PreAuthorizationOrderSetI</IndexLocation>
<StreamLocation>^DAS.PreAuthorizationOrderSetS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
