/// Sample HL7 pipeline
/// 
Class Demo.Gateway.HL7.Pipeline Extends Ens.BusinessProcessBPL [ ClassType = persistent ]
{

/// 2 modes: Queue, InProc
Parameter INVOCATION = "InProc";

XData BPL
{
<process language='objectscript' request='EnsLib.HL7.Message' response='EnsLib.HL7.Message' height='2000' width='2000' >
<sequence xend='550' yend='600' >
<call name='Filter' target='HS.Util.NoOpProcess' async='0' xpos='550' ypos='400' >
<request type='EnsLib.HL7.Message' >
<assign property='callrequest' value='request' action='set' />
</request>
<response type='EnsLib.HL7.Message' >
<assign property='response' value='callresponse' action='set' />
</response>
</call>
<call name='Normalize Structure' target='HS.Util.NoOpProcess' async='0' xpos='550' ypos='200' >
<request type='EnsLib.HL7.Message' >
<assign property='callrequest' value='response' action='set' />
</request>
<response type='EnsLib.HL7.Message' >
<assign property='response' value='callresponse' action='set' />
</response>
</call>
<call name='Normalize Terminology' target='HS.Util.NoOpProcess' async='0' xpos='550' ypos='300' >
<request type='EnsLib.HL7.Message' >
<assign property='callrequest' value='response' action='set' />
</request>
<response type='EnsLib.HL7.Message' >
<assign property='response' value='callresponse' action='set' />
</response>
</call>
<call name='Verify Structure' target='HS.Util.NoOpProcess' async='0' xpos='550' ypos='300' >
<request type='EnsLib.HL7.Message' >
<assign property='callrequest' value='response' action='set' />
</request>
<response type='EnsLib.HL7.Message' >
<assign property='response' value='callresponse' action='set' />
</response>
</call>
</sequence>
</process>
}

Storage Default
{
<Type>%Library.CacheStorage</Type>
}

}
