Class ES.Client.eeSummaryPortSoap Extends %SOAP.WebClient [ ProcedureBlock ]
{

/// This is the namespace used by the Service
Parameter NAMESPACE = "http://jaxws.webservices.esrDOMAIN.EXT /schemas";

/// Determines handling of Security header.
Parameter SECURITYIN = "ALLOW";

/// This is the name of the Service
Parameter SERVICENAME = "eeSummaryPortService";

/// This is the SOAP version supported by the service.
Parameter SOAPVERSION = 1.1;

Method getEESummary(key As %String(REQUIRED=1), keyType As %String, requestName As %String(REQUIRED=1), incomeYear As %xsd.int, Output summary As ES.sch.eeSummary, Output eesVersion As %String, Output invocationDate As %TimeStamp, Output noDataMessage As %String) [ Final, ProcedureBlock = 1, SoapBindingStyle = document, SoapBodyUse = literal, WebMethod ]
{
 Do (..WebMethod("getEESummary","getEESummaryRequest")).Invoke($this,"",.key,.keyType,.requestName,.incomeYear,.summary,.eesVersion,.invocationDate,.noDataMessage)
}

}
