Class ES.HSRM.Client.QuestionnaireSoap.Operation Extends (Ens.BusinessOperation, HS.Util.Trace.Helper) [ ProcedureBlock ]
{

Property SendToHSRM As %Boolean [ InitialExpression = 1 ];

Parameter SETTINGS = "SendToHSRM";

Method Open(pRequest As ES.HSRM.Request.OpenRequest, Output pResponse As ES.HSRM.Response.OpenResponse) As %Library.Status
{
 Set ..Adapter.WebServiceClientClass = "ES.HSRM.TCwsquestionnaireQUSXXESEditSoap"
 Set tSC = ..Adapter.InvokeMethod("Open",.OpenResult,pRequest.token,pRequest.ID,pRequest.TUSERNAME,pRequest.TPASSWORD)  Quit:$$$ISERR(tSC) tSC
 Set tSC = pRequest.NewResponse(.pResponse)  Quit:$$$ISERR(tSC) tSC
 Set pResponse.OpenResult=$get(OpenResult)
 Quit $$$OK
}

Method Save(pRequest As ES.HSRM.Request.SaveRequest, Output pResponse As ES.HSRM.Response.SaveResponse) As %Library.Status
{
  #dim creds as Ens.Config.Credentials
  #dim pResponse as ES.HSRM.Response.SaveResponse
  
  s pResponse = ##class(ES.HSRM.Response.SaveResponse).%New()
  
  s creds = ##class(Ens.Config.Credentials).%OpenId(..Adapter.Credentials)
  s pRequest.TUSERNAME = creds.Username
  s pRequest.TPASSWORD = creds.Password
  k creds
  
  Set ..Adapter.WebServiceClientClass = "ES.HSRM.TCwsquestionnaireQUSXXESEditSoap"
  
  i ..SendToHSRM {
  
    Set tSC = ..Adapter.InvokeMethod("Save",.SaveResult,pRequest.token,pRequest.rs,pRequest.TUSERNAME,pRequest.TPASSWORD)  Quit:$$$ISERR(tSC) tSC
    Set tSC = pRequest.NewResponse(.pResponse)  Quit:$$$ISERR(tSC) tSC
    Set pResponse.SaveResult=$get(SaveResult)
    
  }
  Quit $$$OK
}

Parameter ADAPTER = "EnsLib.SOAP.OutboundAdapter";

XData MessageMap
{
<MapItems>
  <MapItem MessageType="ES.HSRM.Request.OpenRequest">
    <Method>Open</Method>
  </MapItem>
  <MapItem MessageType="ES.HSRM.Request.SaveRequest">
    <Method>Save</Method>
  </MapItem>
</MapItems>
}

}
