/// Created from: C:\Users\smorrison\OneDrive - Cognosante Holdings, LLC\CCR&A\ESR\20171213-esr.wsdl
Class ES.sch.financialStatementInfo Extends (%SerialObject, %XML.Adaptor) [ ProcedureBlock ]
{

Parameter ELEMENTQUALIFIED = 1;

Parameter NAMESPACE = "http://jaxws.webservices.esrDOMAIN.EXT /schemas";

Parameter XMLNAME = "financialStatementInfo";

Parameter XMLSEQUENCE = 0;

Property assets As list Of ES.sch.assetInfo(XMLITEMNAME = "asset", XMLNAME = "assets", XMLPROJECTION = "COLLECTION");

Property debits As ES.sch.debitInfo(XMLNAME = "debits");

Property expenses As list Of ES.sch.expenseInfo(XMLITEMNAME = "expense", XMLNAME = "expenses", XMLPROJECTION = "COLLECTION");

Property incomeYear As %xsd.int(XMLNAME = "incomeYear");

Property incomes As list Of ES.sch.incomeInfo(XMLITEMNAME = "income", XMLNAME = "incomes", XMLPROJECTION = "COLLECTION");

Property contributionToSpouse As %Numeric(XMLNAME = "contributionToSpouse");

Property dependentFinancialsList As list Of ES.sch.dependentFinancialsInfo(XMLITEMNAME = "dependentFinancials", XMLNAME = "dependentFinancialsList", XMLPROJECTION = "COLLECTION");

Property marriedLastCalendarYear As %Boolean(XMLNAME = "marriedLastCalendarYear");

Property numberOfDependentChildren As %xsd.int(XMLNAME = "numberOfDependentChildren");

Property spouseFinancialsList As list Of ES.sch.spouseFinancialsInfo(XMLITEMNAME = "spouseFinancials", XMLNAME = "spouseFinancialsList", XMLPROJECTION = "COLLECTION");

Property inpatientDays As %xsd.int(XMLNAME = "inpatientDays");

Property outpatientDays As %xsd.int(XMLNAME = "outpatientDays");

Property lastVisitDate As %Date(XMLNAME = "lastVisitDate");

Property vamcReportDate As %Date(XMLNAME = "vamcReportDate");

Storage Default
{
<Data name="financialStatementInfoState">
<Value name="1">
<Value>assets</Value>
</Value>
<Value name="2">
<Value>debits</Value>
</Value>
<Value name="3">
<Value>expenses</Value>
</Value>
<Value name="4">
<Value>incomeYear</Value>
</Value>
<Value name="5">
<Value>incomes</Value>
</Value>
<Value name="6">
<Value>contributionToSpouse</Value>
</Value>
<Value name="7">
<Value>dependentFinancialsList</Value>
</Value>
<Value name="8">
<Value>marriedLastCalendarYear</Value>
</Value>
<Value name="9">
<Value>numberOfDependentChildren</Value>
</Value>
<Value name="10">
<Value>spouseFinancialsList</Value>
</Value>
<Value name="11">
<Value>inpatientDays</Value>
</Value>
<Value name="12">
<Value>outpatientDays</Value>
</Value>
<Value name="13">
<Value>lastVisitDate</Value>
</Value>
<Value name="14">
<Value>vamcReportDate</Value>
</Value>
</Data>
<State>financialStatementInfoState</State>
<StreamLocation>^ES.sch.financialStatementInfoS</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
