/// Created from: C:\Users\smorrison\OneDrive - Cognosante Holdings, LLC\CCR&A\ESR\20171213-esr.wsdl
Class ES.sch.incomeTestInfo Extends (%SerialObject, %XML.Adaptor) [ ProcedureBlock ]
{

Parameter ELEMENTQUALIFIED = 1;

Parameter NAMESPACE = "http://jaxws.webservices.esrDOMAIN.EXT /schemas";

Parameter XMLNAME = "incomeTestInfo";

Parameter XMLSEQUENCE = 0;

Property adjudicationDate As %TimeStamp(XMLNAME = "adjudicationDate");

Property agreesToPayDeductible As %Boolean(XMLNAME = "agreesToPayDeductible");

Property cadAdjusted As %Boolean(XMLNAME = "cadAdjusted");

Property childIncomeExclusionThreshold As %Numeric(XMLNAME = "childIncomeExclusionThreshold");

Property comments As %String(MAXLEN = "", XMLNAME = "comments");

Property dateMTNoLongerRequired As %TimeStamp(XMLNAME = "dateMTNoLongerRequired");

Property deductibleExpenses As %Numeric(XMLNAME = "deductibleExpenses");

Property discloseFinancialInformation As %Boolean(XMLNAME = "discloseFinancialInformation");

Property effectiveDate As %TimeStamp(XMLNAME = "effectiveDate");

Property futureTest As %Boolean(XMLNAME = "futureTest");

Property gmtAddressInfo As ES.sch.addressInfo(XMLNAME = "gmtAddressInfo");

Property gmtThresholdAmount As %Numeric(XMLNAME = "gmtThresholdAmount");

Property hardShipReason As %String(MAXLEN = "", XMLNAME = "hardShipReason");

Property hardshipInfo As ES.sch.hardshipInfo(XMLNAME = "hardshipInfo");

Property incomeTestType As %String(MAXLEN = "", XMLNAME = "incomeTestType");

Property incomeTestsource As %String(MAXLEN = "", XMLNAME = "incomeTestsource");

Property incomeVerificationStatus As %String(MAXLEN = "", XMLNAME = "incomeVerificationStatus");

Property incomeVerificationStatusDate As %TimeStamp(XMLNAME = "incomeVerificationStatusDate");

Property incomeYear As %xsd.int(XMLNAME = "incomeYear");

Property ivmTestCompletionDate As %TimeStamp(XMLNAME = "ivmTestCompletionDate");

Property ivmConversionDate As %TimeStamp(XMLNAME = "ivmConversionDate");

Property incomeTestReportDate As %Date(XMLNAME = "incomeTestReportDate");

Property netIncome As %Numeric(XMLNAME = "netIncome");

Property netWorth As %Numeric(XMLNAME = "netWorth");

Property networthThreshold As %Numeric(XMLNAME = "networthThreshold");

Property pensionThreshold As %Numeric(XMLNAME = "pensionThreshold");

Property previousYearThresholdApplies As %Boolean(XMLNAME = "previousYearThresholdApplies");

Property primaryIncomeTest As %Boolean(XMLNAME = "primaryIncomeTest");

Property reasonMTNoLongerRequired As %Numeric(XMLNAME = "reasonMTNoLongerRequired");

Property refusedToSign As %Boolean(XMLNAME = "refusedToSign");

Property sendForAdjudication As %Boolean(XMLNAME = "sendForAdjudication");

Property siteConductingTest As %String(MAXLEN = "", XMLNAME = "siteConductingTest");

Property statuses As list Of ES.sch.incomeTestStatusInfo(XMLITEMNAME = "status", XMLNAME = "statuses", XMLPROJECTION = "COLLECTION");

Property thresholdA As %Numeric(XMLNAME = "thresholdA");

Property totalIncome As %Numeric(XMLNAME = "totalIncome");

Property totalNumberOfDependents As %xsd.int(XMLNAME = "totalNumberOfDependents");

Property priorityGroup8Relaxation As %Boolean(XMLNAME = "priorityGroup8Relaxation");

Property ivmCaseStatus As %String(MAXLEN = "", XMLNAME = "ivmCaseStatus");

Storage Default
{
<Data name="incomeTestInfoState">
<Value name="1">
<Value>adjudicationDate</Value>
</Value>
<Value name="2">
<Value>agreesToPayDeductible</Value>
</Value>
<Value name="3">
<Value>cadAdjusted</Value>
</Value>
<Value name="4">
<Value>childIncomeExclusionThreshold</Value>
</Value>
<Value name="5">
<Value>comments</Value>
</Value>
<Value name="6">
<Value>dateMTNoLongerRequired</Value>
</Value>
<Value name="7">
<Value>deductibleExpenses</Value>
</Value>
<Value name="8">
<Value>discloseFinancialInformation</Value>
</Value>
<Value name="9">
<Value>effectiveDate</Value>
</Value>
<Value name="10">
<Value>futureTest</Value>
</Value>
<Value name="11">
<Value>gmtAddressInfo</Value>
</Value>
<Value name="12">
<Value>gmtThresholdAmount</Value>
</Value>
<Value name="13">
<Value>hardShipReason</Value>
</Value>
<Value name="14">
<Value>hardshipInfo</Value>
</Value>
<Value name="15">
<Value>incomeTestType</Value>
</Value>
<Value name="16">
<Value>incomeTestsource</Value>
</Value>
<Value name="17">
<Value>incomeVerificationStatus</Value>
</Value>
<Value name="18">
<Value>incomeVerificationStatusDate</Value>
</Value>
<Value name="19">
<Value>incomeYear</Value>
</Value>
<Value name="20">
<Value>ivmTestCompletionDate</Value>
</Value>
<Value name="21">
<Value>ivmConversionDate</Value>
</Value>
<Value name="22">
<Value>incomeTestReportDate</Value>
</Value>
<Value name="23">
<Value>netIncome</Value>
</Value>
<Value name="24">
<Value>netWorth</Value>
</Value>
<Value name="25">
<Value>networthThreshold</Value>
</Value>
<Value name="26">
<Value>pensionThreshold</Value>
</Value>
<Value name="27">
<Value>previousYearThresholdApplies</Value>
</Value>
<Value name="28">
<Value>primaryIncomeTest</Value>
</Value>
<Value name="29">
<Value>reasonMTNoLongerRequired</Value>
</Value>
<Value name="30">
<Value>refusedToSign</Value>
</Value>
<Value name="31">
<Value>sendForAdjudication</Value>
</Value>
<Value name="32">
<Value>siteConductingTest</Value>
</Value>
<Value name="33">
<Value>statuses</Value>
</Value>
<Value name="34">
<Value>thresholdA</Value>
</Value>
<Value name="35">
<Value>totalIncome</Value>
</Value>
<Value name="36">
<Value>totalNumberOfDependents</Value>
</Value>
<Value name="37">
<Value>priorityGroup8Relaxation</Value>
</Value>
<Value name="38">
<Value>ivmCaseStatus</Value>
</Value>
</Data>
<State>incomeTestInfoState</State>
<StreamLocation>^ES.sch.incomeTestInfoS</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
