/// Created from: C:\Users\smorrison\OneDrive - Cognosante Holdings, LLC\CCR&A\ESR\20171213-esr.wsdl
Class ES.sch.spouseFinancialsInfo Extends (%SerialObject, %XML.Adaptor) [ ProcedureBlock ]
{

Parameter ELEMENTQUALIFIED = 1;

Parameter NAMESPACE = "http://jaxws.webservices.esrDOMAIN.EXT /schemas";

Parameter XMLNAME = "spouseFinancialsInfo";

Parameter XMLSEQUENCE = 0;

Property assets As list Of ES.sch.assetInfo(XMLITEMNAME = "asset", XMLNAME = "assets", XMLPROJECTION = "COLLECTION");

Property debits As ES.sch.debitInfo(XMLNAME = "debits");

Property expenses As list Of ES.sch.expenseInfo(XMLITEMNAME = "expense", XMLNAME = "expenses", XMLPROJECTION = "COLLECTION");

Property incomeYear As %xsd.int(XMLNAME = "incomeYear");

Property incomes As list Of ES.sch.incomeInfo(XMLITEMNAME = "income", XMLNAME = "incomes", XMLPROJECTION = "COLLECTION");

Property livedWithPatient As %Boolean(XMLNAME = "livedWithPatient");

Property inpatientDays As %xsd.int(XMLNAME = "inpatientDays");

Property outpatientDays As %xsd.int(XMLNAME = "outpatientDays");

Property validDependent As %Boolean(XMLNAME = "validDependent");

Property spouse As ES.sch.spouseInfo(XMLNAME = "spouse");

Property contributionToSpouseAmt As %Numeric(XMLNAME = "contributionToSpouseAmt");

Property contributedToSpouseInd As %Boolean(XMLNAME = "contributedToSpouseInd");

Storage Default
{
<Data name="spouseFinancialsInfoState">
<Value name="1">
<Value>assets</Value>
</Value>
<Value name="2">
<Value>debits</Value>
</Value>
<Value name="3">
<Value>expenses</Value>
</Value>
<Value name="4">
<Value>incomeYear</Value>
</Value>
<Value name="5">
<Value>incomes</Value>
</Value>
<Value name="6">
<Value>livedWithPatient</Value>
</Value>
<Value name="7">
<Value>inpatientDays</Value>
</Value>
<Value name="8">
<Value>outpatientDays</Value>
</Value>
<Value name="9">
<Value>validDependent</Value>
</Value>
<Value name="10">
<Value>spouse</Value>
</Value>
<Value name="11">
<Value>contributionToSpouseAmt</Value>
</Value>
<Value name="12">
<Value>contributedToSpouseInd</Value>
</Value>
</Data>
<State>spouseFinancialsInfoState</State>
<StreamLocation>^ES.sch.spouseFinancialsInfoS</StreamLocation>
<Type>%Library.CacheSerialState</Type>
}

}
