Class SEOC.Input.Service Extends EnsLib.SOAP.Service
{

Parameter ADAPTER;

Parameter SERVICENAME = "SEOCFileInputService";

Parameter NAMESPACE = "http://www.tempuri.org";

Property SEOCMaintenanceProcessTarget As Ens.DataType.ConfigName [ InitialExpression = "SEOC.Maintenance.Process" ];

Parameter SETTINGS = "SEOCMaintenanceProcessTarget";

Method PutFile(pStream As %Stream.GlobalBinary) As %Status [ WebMethod ]
{

	#dim tSC As %Status = $$$OK
	#dim e As %Exception.AbstractException
	
	try {
		
		set tRequest = ##class(Ens.StreamContainer).%New()
		set tRequest.Stream = ##class(%Stream.GlobalCharacter).%New()
		$$$ThrowOnError(tRequest.Stream.CopyFrom(pStream))
		$$$ThrowOnError(..SendRequestAsync(..SEOCMaintenanceProcessTarget,tRequest,"Send File to Maintenance Process"))
		
		
	} catch e {
		
		set tSC = e.AsStatus()
		
	}
	
	quit tSC
}

}
