Class SEOC.Maintenance.DB.Task.SEOCUploadProcess Extends %SYS.Task.Definition
{

Parameter TaskName As STRING = "SEOC DB Upload";

Method OnTask() As %Status
{
  
  #dim tSC As %Status = $$$OK
  #dim e As %Exception.AbstractException
  #dim tService As Ens.BusinessService
  
  try {
    
    s tSC = ##class(Ens.Director).CreateBusinessService("SEOC.Maintenance.DB.Service.Task",.tService)

    s pRequest = ##class(SEOC.Maintenance.DB.Message.RetrieveSEOCRequest).%New()
    s pRequest.SEOCId = ""
    
      $$$ThrowOnError(tService.OnProcessInput(pRequest))

  } catch e {
    
    s tSC = err.AsStatus()
    
  }
  
  q tSC
}

}
