Class CCRA.TransactionHistory Extends (%Persistent, %Populate, %XML.Adaptor)
{

/*HSRM Mapping
	User.PAWaitingList.ChildPAWaitingListTransaction
	User.PAWaitingListTransaction.TRANSDate
*/
Property TransactionDate As %String(POPSPEC = "CDate(3,$h,$h)");

/*HSRM Mapping
	User.PAWaitingList.ChildPAWaitingListTransaction
	User.PAWaitingListTransaction.TRANSDateEffective
*/
Property EffectiveDate As %String(POPSPEC = "CDate(3,$h,$h)");

/*HSRM Mapping
	User.PAWaitingList.ChildPAWaitingListTransaction
	User.PAWaitingListTransaction.TRANSReasonForChangeDR
	User.PACWaitListReasonForChange.WLRCDesc
*/
Property Reason As %String(MAXLEN = 220, POPSPEC = "ValueList("",Reason1,Reason2,Reason3"")");

/*HSRM Mapping
	User.PAWaitingList.ChildPAWaitingListTransaction
	User.PAWaitingListTransaction.TRANSStatusDR
	User.PACWaitingListStatus.WLSDesc
*/
Property Status As %String(MAXLEN = 220, POPSPEC = "ValueList("",Status1,Status2,Status3"")");

Relationship Referral As CCRA.Referral [ Cardinality = parent, Inverse = TransactionHistory ];

Storage Default
{
<Data name="TransactionHistoryDefaultData">
<Value name="1">
<Value>%%CLASSNAME</Value>
</Value>
<Value name="2">
<Value>TransactionDate</Value>
</Value>
<Value name="3">
<Value>EffectiveDate</Value>
</Value>
<Value name="4">
<Value>Reason</Value>
</Value>
<Value name="5">
<Value>Status</Value>
</Value>
</Data>
<DataLocation>{%%PARENT}("TransactionHistory")</DataLocation>
<DefaultData>TransactionHistoryDefaultData</DefaultData>
<IdLocation>^CCRA.ReferralC("TransactionHistory")</IdLocation>
<IndexLocation>^CCRA.TransactionHistoryI</IndexLocation>
<StreamLocation>^CCRA.TransactionHistoryS</StreamLocation>
<Type>%Library.CacheStorage</Type>
}

}
