﻿using OpenQA.Selenium;

namespace VA.QA.Common.UIFramework.Selenium
{
    public class BasePage 
    {
        private static IWebDriver driver;

        public static IWebDriver Driver
        {
            get { return driver; }
            set
            {
                if (driver == null)
                    driver = value;
            }
        }

        public BasePage(IWebDriver iWebDriver)
        {
            Driver = iWebDriver;
        }
        public BasePage()
        { }

        public IWebDriver DefaultContent()
        {
            return Driver.SwitchTo().DefaultContent();
        }
    }
}