﻿using Quintity.TestFramework.Core;

namespace VA.QA.Common.UIFramework.Selenium.Config
{
    public class SeleniumConfiguration
    {
        public static int ImplicitWaitSeconds { get { return int.Parse(TestProperties.GetPropertyValueAsString("ImplicitWaitSeconds")); } }
        public static int ShortWaitSeconds { get { return ImplicitWaitSeconds / 5; } }
        public static int LongWaitSeconds { get { return ImplicitWaitSeconds + 2; } }
        public static int ExplicitWaitSeconds { get { return int.Parse(TestProperties.GetPropertyValueAsString("ExplicitWaitSeconds")); } }
        public static string LoggingLevel { get { return TestProperties.GetPropertyValueAsString("LoggingLevel"); } }
    }
}
