﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using VA.QA.Common.UIFramework.Selenium;
using OpenQA.Selenium;
using VA.QA.CCRA.TestCases.Pages;
using OpenQA.Selenium.Support.PageObjects;
using NUnit.Framework;

namespace VA.QA.CCRA.TestCases.Common
{
    public class Logins
    {
        private readonly IWebDriver _driver;

        public Logins(IWebDriver browser)
        {
            _driver = browser;
            PageFactory.InitElements(browser, this);
        }



        public void UserLogin(string username, string password)

        {
            var pageHome = new PageHome(_driver);
            pageHome.inputUserName.SendKeys(username);
            pageHome.inputPassword.SendKeys(password);
            Thread.Sleep(2000);
            pageHome.btnLogon.Click();
            Thread.Sleep(6000);
            //TestAssert.IsTrue(pageNameRefList.Displayed);
            pageHome.linkUserLocation.Click();
            Thread.Sleep(6000);


        }

        public void UserLogOut()
        {
            var pageHome = new PageHome(_driver);
            pageHome.linkUser.Click();
            Thread.Sleep(3000);
            pageHome.linkLogout.Click();
            Thread.Sleep(3000);
            Assert.IsTrue(pageHome.btnLogon.Displayed);

        }

        public void UserselectLocationWhenLoggedIn()

        {
            var pageHome = new PageHome(_driver);
            pageHome.linkUserLocation.Click();
            Thread.Sleep(6000);
            //TestAssert.IsTrue(pageNameRefList.Displayed);
        }

    }
}


            //if (pageHome.UserLogin() == false)
            //{
            //    TestMessage = "Login failed";
            //    return TestVerdict.Error;
            //}