﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading;
using VA.QA.Common.UIFramework.Selenium;
using Quintity.TestFramework.Core;
using OpenQA.Selenium;
using OpenQA.Selenium.Support.PageObjects;

using VA.QA.CCRA.TestCases.Pages;


namespace VA.QA.CCRA.TestCases.Pages
{
   public class PagePatientList : PageGlobalElements
    {

        private readonly IWebDriver _driver;
        public PagePatientList(IWebDriver browser)
        {
            _driver = browser;
            IPage.Equals(browser, this);
            PageFactory.InitElements(browser, this);
        }

        public Boolean IsRightPage
        {
            get
            {
                return true;
            }

        }

        [FindsBy(How = How.Id, Using = "PAPerson_List_0-row-0-item-Name")]
        public IWebElement linkPatientFirst { get; set; }


        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Patient List')]")]
        public IWebElement pageNamePatientList { get; set; }


        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'Zerotwotwo')]")]
        public IWebElement patientWithReferrence { get; set; }


        [FindsBy(How = How.XPath, Using = "//td[tc-shortcutkey-childof='3']//span[contains(text(),'HSRMPATIENT')]")]
        public IWebElement patientWithSameLN_1 { get; set; }

        [FindsBy(How = How.XPath, Using = "//td[tc-shortcutkey-childof='2']//span[contains(text(),'HSRMPATIENT')]")]
        public IWebElement patientWithSameLN_2 { get; set; }



        public Boolean Temp()
        {
            return true;
        }


    }
}


