﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading;
using VA.QA.Common.UIFramework.Selenium;
using Quintity.TestFramework.Core;
using OpenQA.Selenium;
using OpenQA.Selenium.Support.PageObjects;

using VA.QA.CCRA.TestCases.Pages;


namespace VA.QA.CCRA.TestCases.Pages
{
   public class PageReferralList : PageGlobalElements
    {

        private readonly IWebDriver _driver;
        public PageReferralList(IWebDriver browser)
        {
            _driver = browser;
            IPage.Equals(browser, this);
            PageFactory.InitElements(browser, this);
        }

        public Boolean IsRightPage
        {
            get
            {
                return true;
            }

        }

        [FindsBy(How = How.Id, Using = "PAWaitingListInquiry_List_0-header-caption")]
        public IWebElement pageNameRefList { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingListInquiry_List_0-section-0-caption")]
        public IWebElement pageNamepatientRefList { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingListInquiry_List_0-row-1-item-Name")]
        public IWebElement linkReferralAny { get; set; }

        [FindsBy(How = How.Id, Using = "PAWaitingListInquiry_List_0-row-1-item-Name")]
        public IWebElement linkReferralInitialUpdated { get; set; }

        [FindsBy(How = How.XPath, Using = "//span[contains(text(),'OneThreeFour')]")]
        public IWebElement referralStatusInitial { get; set; }


        public Boolean Temp()
        {
            return true;
        }

        public PageReferralDetails NavigateToReferralDetailsStatusInitial()
        {
            linkReferralInitialUpdated.Click();
            Thread.Sleep(3000);

            return new PageReferralDetails(SharedTestMethods.Driver);

        }
    }
}


