﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using VA.QA.Common.UIFramework.Selenium;
using OpenQA.Selenium;
using VA.QA.CCRA.TestCases.Pages;
using OpenQA.Selenium.Support.PageObjects;
using VA.QA.CCRA.TestCases.Common;
using NUnit.Framework;

namespace VA.QA.CCRA.TestCases
{
    public class LoadPlayground 
    {


        //VA Supervisor   Username: AI Password: AI s
        //VA CC Staff Member Username: AI   Password: AI s
        //VA CC Clinical Coordinator Username: AI   Password: AI s
        //Community Staff Member  Username: AI   Password: AI s
        //Community Clinician Username: AI  Password: AI s
        //Community Network Provider  Username: AI Password: AI s
        //VA Customer Service Username: AI  Password: AI s



        //TC 49967 US 47512 Ability to Authenticate Users - User Roles

        [Test]
        public void LoginAndLogout_VASupervisor()

        {
            SharedTestMethods.LoginAsVASupervisor();
            SharedTestMethods.LogoutAndExit();
        }

        [Test]
        public void LoginAndLogout_VACCStaffMember()

        {
            SharedTestMethods.LoginAsVACCStaffMember ();
            SharedTestMethods.LogoutAndExit();
        }

        [Test]
        public void LoginAndLogout_VACCClinicalCoordinator()

        {
            SharedTestMethods.LoginAsVACCClinicalCoordinator();
            //TestAssert.IsTrue(pageHome.userNameVACCStaffMember.Displayed);
            SharedTestMethods.LogoutAndExit();
        }


        [Test]
        public void LoginAndLogout_CommunityStaffMember()

        {
            SharedTestMethods.LoginAsCommunityStaffMember();
            //TestAssert.IsTrue(pageHome.userNameVACCStaffMember.Displayed);
            SharedTestMethods.LogoutAndExit();
        }

        [Test]
        public void LoginAndLogout_CommunityClinician()
        {
            SharedTestMethods.LoginAsCommunityClinician();
            //TestAssert.IsTrue(pageHome.userNameVACCStaffMember.Displayed);
            SharedTestMethods.LogoutAndExit();
        }

        [Test]
        public void LoginAndLogout_CommunityNetworkProvider()

        {
            SharedTestMethods.LoginAsCommunityNetworkProvider();
            //TestAssert.IsTrue(pageHome.userNameVACCStaffMember.Displayed);
            SharedTestMethods.LogoutAndExit();
        }

        [Test]
        public void LoginAndLogout_AsVACustomerService()
        {
            SharedTestMethods.LoginAsVACustomerService();
            //TestAssert.IsTrue(pageHome.userNameVACCStaffMember.Displayed);
            SharedTestMethods.LogoutAndExit();
        }

    }
}