﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using VA.QA.Common.UIFramework.Selenium;
using OpenQA.Selenium;
using VA.QA.CCRA.TestCases.Pages;
using OpenQA.Selenium.Support.PageObjects;
using VA.QA.CCRA.TestCases.Common;
using NUnit.Framework;

namespace VA.QA.CCRA.TestCases
{
    public class ReferralList
    {

        //TC 49517 US 47530 Ability to Select Referrals - Supervisor Default Page
        [Test]
        public void SupervisorDefaultPage()

        {     
                SharedTestMethods.LoginAsVASupervisor();
                SharedTestMethods.LogoutAndExit();
        }

        //TC 49515 47529 Ability to Select Referrals - Clinical Coordinator Default Page
        [Test]
        public void ClinicalCoordinatorDefaultPage()

        {
            SharedTestMethods.LoginAsVACCClinicalCoordinator();
            SharedTestMethods.LogoutAndExit();
        }






        //TC 49423 US 47524 Ability to select referrals- Referral List
        [Test]
        public void AbilityToSelectReferrals_ReferralList()

        {
            SharedTestMethods.LoginAsVASupervisor();
            var pageHome = new PageHome(SharedTestMethods.Driver);
            pageHome.linkMainMenu.Click();
            Thread.Sleep(2000);
            pageHome.linkFindReferralByPatient.Click();
            Thread.Sleep(3000);


            var pagePatientSearch = new PagePatientSearch(SharedTestMethods.Driver);
            pagePatientSearch.inputLastName.SendKeys("HSRMPATIENT");
            pagePatientSearch.btnFind.Click();
            var pagePatientList = new PagePatientList(SharedTestMethods.Driver);
            Thread.Sleep(2000);
            Assert.IsTrue(pagePatientList.pageNamePatientList.Displayed);
            //TestAssert.IsTrue(pagePatientList.patientWithSameLN_2.Displayed);
            //TestAssert.IsTrue(pagePatientList.patientWithSameLN_1.Displayed);

            pagePatientList.patientWithReferrence.Click();
            Thread.Sleep(3000);
            var pageReferralList = new PageReferralList(SharedTestMethods.Driver);
            Assert.IsTrue(pageReferralList.pageNameRefList.Displayed);
            //TestAssert.IsTrue(pageReferralList.linkReferralAny.Displayed);
            pageReferralList.linkReferralAny.Click();
            Thread.Sleep(3000);
            var pageReferralDetails = new PageReferralDetails(SharedTestMethods.Driver);
            Assert.IsTrue(pageReferralDetails.moduleReferralDetails.Displayed);

            SharedTestMethods.LogoutAndExit();
        }



    }
}